Présentation de PSPad

 Top Next

Pourquoi choisir PSPad ?

•

vous travaillez avec différents environnements de programmation ?

•

vous voulez une mise en évidence de la syntaxe ?

•

vous avez besoin d'un outil compacte avec des contrôles simples et les capacités d'un puissant éditeur ?

•

vous cherchez un outil pour travailler avec des fichiers source ?

•

vous voulez économiser de l'argent et avoir les fonctionnalités des produits professionnels ?

•

alors PSPad est fait pour vous.

Les fonctionnalités de PSPad ?

•

travailler avec des projets

•

fichiers textes de taille illimitée

•

travailler avec plusieurs documents à la fois (MDI)

•

pouvoir sauver la session pour réouvrir tous les fichiers la fois suivante

•

client FTP - vous pouvez éditer les fichiers directement à partir du web

•

éditeur de macro pour enregistrer, sauver et exécuter les macros

•

recherche et remplacement dans les fichiers

•

comparaison de texte, les différences sont mises en couleur

•

clips (balises HTML, scripts, modèles de code...)

•

l'installation contient des modèles HTML, PHP, Pascal, JScript, VBScript, MySQL, MS-Dos, Perl,...

•

colorisation syntaxique automatique en fonction du type de fichier

•

colorisation définie par l'utilisateur pour les environnements exotiques

•

auto-complétion, vérification orthographique

•

éditeur Hexadécimal

•

appel à des programmes externes, pour chaque environnement

•

compilateur externe avec capture des commandes, de la fenêtre de log, de chaque environnement pour avoir un effet "IDE"

•

coloration syntaxique à l'impression et à l'aperçu avant impression

•

exportation avec coloration syntaxique vers les formats RTF, HTML, TeX ou le presse-papiers

•

sélection de bloc en colonne, signets, numérotation des ligne,...

•

reformatage et compression du code HTML, modification de la casse des balises

•

tri des lignes avec possibilité de trier suivant une colonne, et option d'effacer les doublons

•

conversion ASCII en entités HTML

•

explorateur de code pour Pascal, INI, HTML, XML, PHP, et plus dans le futur

•

navigateur interne avec support APACHE

•

mise en évidence des parenthèses

•

Fichiers de sauvegarde

•

...


Quoi de neuf

 Top Previous Next

Légende :

•

Ajouté

•

Supprimé

•

Corrigé

Version 4.2.8 du 29 décembre 2003

•

Add Accent marks function works with selected text too

•

PSPad instalation register TiDy library - user with limited rights can use TiDy functions

•

first version of JAVA Code explorer

•

EyeDropper - new function in menu tool for get color from screen pixel in HTML format

•

PHP code parser - all variables, improved speed

•

File information - possibility run detail statistic for big files manually

•

Added 2 slots for user highlighters

•

Function Select inside brackets works with char "`"

•

New parametr in FTP settings - compatibility mode for old PROXY/NAT

•

Programm settings / Internet - option to use default mail client

•

Text to HTML - reuslt is in new window

•

FTP client - possibility to send RAW command (context menu)

•

Improved language detection for first PSPad run - language can be set to your environment (if available)

•

Changed file saving mechanism - please report any problems

•

Status line displays decimal value in the HEX editor

•

You can open new file by doubleclick next file tabs

•

Drag/drop from link window into editor place Command line instead link name. You can also manage your link by draging

•

Modified function "open file from selected text" - you can open file without path, if path corespond to actual document

•

Add/remove comments added into Unix Shell Script

•

Possibility to entere general file mask (wild chars *, ?) in file explorer filter edit box

•

Two new comment styles added into user highlighter definition

•

Added %Input% variable - you can enter parametr before compilator or external app runs

•

Code explorer expanded to XML, XHTML a RSS

•

Program remembers checkbox states in Find/Replace dialog between sessions.

•

Program remembers child window state (maximized) between sessions.

•

It is possible to send error messages right from Error dialog.

•

Environment help (Alt+F1) - you can use connect to online help. Variable %word% in URL address is replaced by current word from editor

•

File Explorer - Renaiming a file in File Explorer changes the name file name tab is the file is open in the editor. It also changes the file name in the project window, where appropriate.

•

Increased PSPad mail form size and enabled form resize.

•

Code Explorer - you can insert selected text in cursor position or drag/drop into editor.

•

File Explorer - you can edit file filter now

•

New localization - Ukrainian (Taras Kapuszczak).

•

New template fot C++.

•

Bracket isn't completed before $ (PHP variable).

•

Open file from selected text - if URL address, file is open in default webbrowser. If you need source code, use it with CTRL.

•

DoubleClick in PHP select variable include $ on the begin.

•

Program Settings / HTML - convertion from text to HTML - option <br> or <p>...</p> for paragraphs.

•

Changed files are checked after compilation (e.g. open Log files).

•

Code explorer - added JavaScript and Python parsing.

•

Now you are able to change shortcut for clips (Ctrl+Space and Shift+Ctrl+Space).

•

Confirm dialog before 'Character Case Change' for whole document.

•

Search dialog - added context menu for search expression with regular expression.

•

Drag/Drop support for Link panel - from internal explorer, file tab and from PSPad "outside"

•

A default template can be used for use when creating a new file of a particular type.

•

Command Line - new function

•

Close window with middle button click on file tab panel

•

Added new variable %SelText% for using with compiler and external apps

•

Print Preview - mouse wheel change scale

•

Added list of last command to Google and Highlighter settings/Help files

•

Sort dialog remembers last settings between PSPad sessions

•

Resolve color - removed default hotkey Ctrl+Alt+C

•

Bug in CodeExplorer sorting if no line selected

•

Bug with position if you insert template more times

•

User variables wasn't saved

•

Incorrect char set in print header and footer

•

If all files closed, recent project was disabled

•

File info - detail statistics limited for files up to 50 000 lines

•

Select inside brackets wasn't work with "<" ">" brackets

•

Function "Insert without cursor change" wasn't correct if some text selected

•

Was possible to insert Date or GUID into R/O file

•

Individual Tab settings from highlighter settings wasn't load

•

Search dialog - error message if can't write settings

•

Project tree - wasn't possible to sort whole project

•

Project tree - impossible create folder if folder with same name exists

•

Incorrect behaviour in some casses with TiDy reformat

•

Google search dialog has OK button disabled even last search was filled

•

Clip from selection wasn't enabled for simple text

•

Search in Files - after cancel confirm dialog, OK button was disabled

•

UnIndent (Shift+Tab) error with enabled "Trim trailing spaces"

•

UnixShellScript doesn't highlight strings `string` and variables before =

•

Error inserting date time in RFC format if timezone with minutes used

•

Code Explorer doesn't clear content after all files closed

•

Highlighter settings - autoindent chars wasn't loaded

•

ASCII chart inserts even editor was ReadOnly

•

Error caling function "Resolve color" behind end of line

•

Error if bad e-mail client set

•

Corrected Code explorer behaviour and file switching

•

Error expand tree in Code explorer if tree is empty

•

Status bar line and position info behaviour

•

Edit commands (Cut/Copy/Paste) in Command line

•

Base calculator - behaviour when variable base was changed

•

If template directory was emty and autoopen emty file disabled

•

Lost highlighters settings

•

List of User syntax definition in Highlighter settings

version 4.2.7 du 24 octobre 2003

•

ajout dans Options du programme | HTML d'une option de reformatage du CSS

•

ajout dans Options du programme | HTML du choix du surlignage HTML (HTML ou XHTML)

•

l'affichage de la position en ligne et colonne du curseur dans la barre de statuts a été changée en Ligne:Colonne

•

sauvegarde possible des résultats de "Rechercher /Remplacer dans fichiers..." (nouvelle icône dans la fenêtre Résultat de la recherche dans les fichiers)

•

un clic dans la barre de statuts sur le caractère correspondant à la position du curseur affiche la table ASCII

•

la fonction Différence de texte mémorise la mosaïque des fenêtre (verticale / horizontale)

•

après "Ouvrir le fichier actif sous un autre nom" et si le projet n'est pas vide, une boîte de dialogue vous pose la question "Ajouter <nom du fichier> au projet ?"

•

Ctrl+roulette de la souris dans la fenêtre d'édition augmente ou diminue la taille de la police

•

la fonction de conversion Texte en HTML convertit les caractères spéciaux en entités HTML

•

les fichiers récents sont stockés séparément dans le fichier Recent.INI

•

les mots-clés de la coloration syntaxique personnalisée peuvent contenir "-"

•

le bouton Liste dans la boîte de dialogue Rechercher/Remplacer copie les lignes entières trouvées sans expression régulière dans la fenêtre "Résultat de la recherche". Possibilité d'y inclure les numéros de ligne

•

localisation espagnole (Hernan Fernandez)

•

localisation chinoise (SiC)

•

localisation grècque (Stefanos Togoulidis)

•

possibilité de désactiver les langages inutilisés dans les options de la coloration syntaxique

•

ajout d'un menu contextuel avec les outils PSPad du panneau Projet

•

ajout de // et # pour les commentaires dans la mise en surbrillance des fichiers INI

•

un clic sur le type de syntaxe dans la barre de statuts vous permet de changer la syntaxe (identique au bouton de la barre d'outils)

•

vous pouvez définir dans les options de compilation le répertoire par défaut du compilateur

•

modèle .\Context\Text.def utilisable pour du simple texte

•

couleur de fond des adresses de l'éditeur hexadécimal identique à celle de la colonne des n° de ligne

•

nouveaux mots pour la surbrillance Tcl/Tk

•

ouverture de fichiers en glisser/déposer de l'explorateur de fichiers à l'éditeur

•

boutons plats pour la sélection des répertoires dans les boîtes de dialogue remplacés par des boutons standard - vous permettant d'utiliser la touche TAB

•

ajout de lignes de commentaires dans la mise en surbrillance Java

•

amélioration de la vitesse lors de l'exécutions répétée d'une macro à partir du gestionnaire de macros, et ajout d'une barre de progression

•

coloration syntaxique personnalisée déplacée à la fin

•

"attribut Alt manquant" éliminé lors de la vérification avec TiDy

•

ouverture d'un fichier avec restauration de la zone de notification et arrêt de "enregistrer le travail"

•

boîte de dialogue pour la sélection de la couleur de retraçage incorrecte si elle était ancrée à droite

•

paramètres Lecture seule incorrectes lors de commutation texte-hexadécimal

•

correction de la prévisualisation HTML si le code de page dans la META n'est pas de l'ANSI

•

correction de l'éditeur hexadécimal lors de commutation Lecture seule

•

correction de l'analyseur XML

•

Après un "Enregistrer sous", le nom du fichier n'était pas retransmis au FTP si le fichier d'origine était ouvert via FTP

•

les tabulateurs réels d'un texte sélectionné étaient remplacé lors d'une impression par des rectangles

•

la sélection d'une ligne par un clic sur le n° de ligne sélectionnait à partir de la position du curseur et non pas depuis le début de la ligne

•

la recherche avec Google ne tenait pas compte du nombre de résultats par page

•

problèmes entre les options de la coloration syntaxique et les applications externes

•

tri des fichiers dans la fenêtre Projet

•

le dictionnaire orthographique sélectionné avec le bouton de la barre d'outils n'était pas mémorisé

•

la touche TAB ne mettait pas en retrait lors d'une sélection en mode colonne

•

le FTP affiche un message si "Enregistrer en FTP" est infructueux

•

l'impression (aperçu avant impression) mémorisait les réglages couleur / monochrome

•

corrections dans la mise en retrait automatique après des parenthèses, accolades ou crochets

•

impossibilité de supprimer des fichiers du projets s'ils n'étaient pas ouverts

•

le fichiers principal du projet ouvert à partir de l'arborescence du projet n'était pas marqué comme tel

•

une partie des ligne était masquée dans la boîte de dialogue "Propriété" du fichier en cas d'utilisation d'une police système non standard

•

le panneau des fichiers ne respectait pas le jeu de caractères du fichier de localisation

•

la boîte de dialogue "Information sur le projet" ne pouvait être fermée avec la touche ESC

•

dans certains cas la fonction "Tout sélectionner" était désactivée

•

correction des problèmes d'importation de fichiers CVS

•

ajout de mots-clés manquants dans la coloration syntaxique PHP

•

erreur avec rechercher "Parenthèse/accolade/crochet complémentaire" si le curseur est positionné au début d'une ligne blanche

•

insertion indésirable du caractère "*" en C++

•

erreur d'affichage/masquage d'une fenêtre ancrée (Explorateur de code...)

•

correction des mauvaises icones de coloriage dans la barre de statuts

•

le reformatage HTML respecte les réglages de largeur de tabulation et de tabulation réelle

•

si aucun fichier n'était ouvert, la fonction "Editer fichiers de clips" était désactivée

•

les fichiers FTP avec un nom débutant par un point étaient triés avant les répertoires

•

un bloc reformaté en paragraphe avec une ligne courte était formaté derrière la ligne de coupure

•

annulation incorrecte après l'insertion de plusieurs clips

version 4.2.6 du 22 août 2003

•

ajout d'un menu de sélection du dictionnaire de langue au bouton de vérification orthographique

•

TextDiff results - added buttons for jump to next / previous differenceajouté demande de confirmation avant "Fermer tout"

•

nouvelle option dans les options du programme - Masquer la colonne n° de ligne

•

réorganisation des menus, ajout de menus dans Projets et Options

•

nouvelle fonction: Déplacer vers... (menu Fichiers). Enregistre le fichier avec un nouveau nom et supprime l'ancien.

•

nouvel explorateur de fichier - vous pouvez trier en colonnes, renommer et supprimer des fichiers

•

Information sur le code page ajouté au fichier de localisation

•

nouvelle fonction "Afficher les caractères OEM" dans le menu Affichage

•

Ajout d'un lien au forum Internet de PSPad dans le menu Aide

•

Reformatage du CSS en ligne

•

exportation en XHTML

•

Edition de l'aide en anglais et de English.INI (Steve LeBlanc)

•

Localisation française (Jean-Christophe Meylan)

•

Localisation polonaise (Piotr Murawski, Rafal Lampe)

•

dans les options de la coloration syntaxique, il est possible d'ajouter un masque *. - fichiers sans extension

•

position de la colonne également mémorisée

•

après un "Restaurer selon l'état précédent", les fichiers du projet n'étaient pas restaurés

•

réécriture de l'analyseur de code C++ dans l'Explorateur de code

•

la sélection du bloc n'était pas conservée parès la fonction d'alignement du bloc gauche/centrée/droite

•

fonction "Aligner bloc" conserve les lignes vides

•

fonction "aller à la ligne..." était désactivée dans certain cas

•

variable surbrillance dans la mise en forme PERL

•

corrected block selection with mouse in left gutter

•

auto comment continue in C++ and Java for documentation comments only

•

amélioration de la fonction "Supprimer les balises HTML"

•

jeu de caractères initiaux paramétré selon les réglages de Windows

•

répertoire de projet vide était restauré en tant que fichier

•

un fichier sans extension ne pouvait être Enregistré sous...

•

Les lignes vides dans les clips sont insérées dans le document

•

la roulette de la souris et Ctrl+Ins ne fonctionnaient pas dans la fenêtre LOG

•

correction du chemin dans TEMP pour les fichiers ouverts avec FTP

•

correction remplacer avec expression régulière

•

format du code HTML amélioré

•

error choosing blank item in color schemes list on Win9x

•

!DOCTYPE is always changed to upper case in code format or change tag char case

•

Correction de la visionneuse interne HTML avec les pages en UTF-8

version 4.2.4 date 6-27-2003

•

some clips files were translated to English (e.g. HTML). Rest will follow

•

link panel - directory link doesn't open Windows Explorer window, but set directory in PSPad File Explorer panel

•

search next/previous - you can continue search from document begin/end

•

search/replace dialog - in confirm replace dialog, you can continue replacing without prompt

•

search matching bracket also works if cursor behind bracket

•

in TextDiff window you can split window horizontally

•

new function - remove redundant lines (menu tools / line manipulation)

•

new function - reformat CSS (menu HTML)

•

user highlighter - possibility set "case sensitive keywords"

•

new parameter in FTP settings - convert file names into lower case

•

new listbox feature - whole text is shown as hint

•

function insert text to line preserve selected block

•

remove blank lines work in selected block from now too

•

program remembers panel docking position

•

auto complete brackets <> added into XML document

•

font in ASCII chart is set as in editor

•

rewrote opening several files from Explorer

•

"keep connection" settings in FTP edit connection doesn't display last set state

•

localized many missing expression

•

program doesn't remember last used recorded macros

•

font setting wasn't applied in LOG window

•

TextDiff - incorrect file name if compare file from disk

•

HTML preview window hides under main PSPad window if mouse set over button

•

wasn't possible to have two folders with same name in project

•

rewrote "Save work" function

•

toolbar panel wasn't aligned after maximize and restore form

•

corrected variable highlighting in MS-Dos bat files

•

run with param settings line in editor doesn't work

•

removed spaces and tabs, added by TopStyle

•

clips window (Ctrl+Space) was shown incorrectly if selected text

•

corrected "incremental search" function. Now you mustn't confirm with Enter

•

Cancel button on interactive clip form deletes text selected before dialog called

•

save function hides block selection

version 4.2.3 date 6-10-2003

•

changed algorithm for password coding in FTP. You must reset saved passwords.

•

Clipboard Monitor - double click insert selected content into editor

•

in Spell Check settings added button to reload dictionary

•

added Italian localization (Angelo Contardi)

•

added hint in clip list (Ctrl+Space), if item length is longest window

•

program update from Delphi5 into Delphi7

•

added possibility to dock tool window (ASCII chart) to right side or into project panel

•

Copy filename to clipboard - new functions in file panel context menu

•

new parameter - Max.line length for HTML compress in Program Settings / HTML

•

added category Miscellaneous into Links panel

•

added file size into FTP and Explorer file list

•

added functionality to "select inside brackets". You can use it inside Closing and Opening bracket too.

•

rewrote user convertors interface

•

possibility to open new file with clip - menu File / New (Ctrl+N)

•

added format RFC-2822 (Sun, 19 May 2002 15:21:36 GMT) into DateTime inserting.

•

Hex editor - added functions Cut, Copy, Paste

•

auto continue comments in Java, JScript, C++, C#, PHP

•

save last search settings in Google interface

•

on status bar is displayed whole block length id selected

•

optimized UTF-8 coding (load and save UTF-8 file)

•

on Links panel is possible edit links

•

FileDiff - keep caret position after reload

•

hang up, during inserting clip if clip contains char §

•

error CSS highlighting inside HTML Multi-Highlighter

•

F5 in internal browser is working everywhere

•

increased sensitivity for Cancel button in SearchInFiles function

•

Add file to project - files was added to first folder only

•

FileDiff - added hints for files, corrected displaying of file names

•

rewrote AutoIndent after brackets

•

Extended Home key setting wasn't saved

version 4.2.2 date 5-12-2003

•

ASCII chart definition in external file ASCII.INI in PSPad dir

•

new function - Google Search. After filling data, you see results in your default web browser

•

in highlighter setting add simple debugger for LOG parser

•

in Project panel added page with links - files, dirs, web pages

•

added missing HTML tags into HTML highlighter

•

new param in Program Settings - setting file tabs as tabs / buttons / flat buttons

•

new CSS highlighter

•

new functions for conversion text to HTML and Selection to JScript

•

into file information added info about create and last change time

•

function Check internet version tell you, if you use actual version or not

•

in Program settings / HTML you can set params for CVS import

•

corrected CodeExplorer call on empty file

•

corrected SelectAll (Ctrl+A) in HEX editor

•

in project settings incorrect status "Don't open any..." was displayed

•

corrected change tag to upper/lower case if caret was in CSS part

•

disabled function "Compare with file" in menu Tools

•

error with selection last char

•

error after show HTML code with Window.Close() in internal browser

•

non functional <xml></xml> detection in HTML Multi-Highlighter

•

extended indentation deletes last char in some cases

•

some functions stay disabled

•

corrected HTML entities in ASCII chart

version 4.2.1 date 4-22-2003

•

integration of free version CSS editor TopStyle Lite (download link) into program (menu HTML) and interactive clips.

•

"Trim trailing spaces" parameter has three states for trimming: Off/Online/During file saving

•

code page conversion Windows 1250 - Latin II changed to use standard API function, so you can use your environment dependant ANSI - OEM conversion

•

first steps for auto set max.line length and auto scroll bars hiding

•

question "Close project file" after "Close all" function

•

program settings - visual changes

•

new param "Extended Cut and Copy" in program settings / editor - you can switch on/off Cut and Copy functions for non selected text

•

function "Select inside brackets" now selects only text without brackets

•

incremental search in Code Explorer

•

program settings / files and dirs - you can set default directory for open and save dialog as actual file

•

new function - "Import from CSV" - create basic HTML table (menu HTML)

•

you can close internal HTML with ESC key

•

in project settings you can switch off file loading - only project tree will be loaded

•

switch to and back from HEX view - cursor is set to near actual position

•

in user highlighter definition you can set preferred line comment for functions Comment/Uncomment block

•

extended "File info" dialog - chars and words statistic, counting, you can sort it.

•

question before PSPad closing - added button "No to All" and "Yes to All"

•

added info about RGB and CMYK color values into "Show color" dialog

•

into mail form added context menus with basic edit functions

•

rewrote method for scrolling text with mouse wheel

•

corrected saving and reading UTF-8 and non DOS line ends

•

"Calculate block" doesn't work with selected text

•

actualization of context menu

•

"Remove tags" - corrected spaces made by inline tags

•

"auto completion" with selected text

•

button Cancel doesn't return changes made in "Key map"

•

"Insert text" form corrections (tab order, controls enabling, ...)

•

extended autoindent and auto complete chars

•

after project load, sometimes tab wasn't set with correct file name

•

Code Explorer error with empty file

•

Alt+Right doesn't release bookmark

•

save/restore bookmarks after calling convertors and conversion functions

•

"Show color" enabled for any type of file

version 4.2.0 date 3-27-2003

•

you can set cursor type in editor window (program settings / colors)

•

into save modified file query dialog on program exit add button "Yes to all"

•

new "user variables" for clips usage (menu tools / clips / user variables). You can define your own variables or use predefined (filename, date, time, ...)

•

new project format (now you can use nested folders). PSPad can read old project format, but projects are saved into new format

•

new function "Project from directory" (menu file / project) - creates new project from selected directory

•

rewrote work with macros - new Macro manager. Macros are now stored in text files. Conversion utility for old macro format on request.

•

sort dialog - you can sort for numeric value

•

new function - calculate selected block (menu Edit / special)

•

for "send errors" and "send error log" functions you can include PSPad config file

•

added shortcut (Ctrl+R) for refresh in text differences window

•

added user highlighter for AutoIt (Petr Franta)

•

new function - block align in menu Format / Block format. Selected block is rewrapped with right edge and spaces are added to align lines

•

text scrolling with right mouse - now you need keep Ctrl pressed

•

you already doesn't need select color for function Show color (Ctrl+Alt+C)

•

paste text with cursor position preservation in menu Edit / Paste (Shift+Ctrl+V)

•

removed closing dialogs Program settings and Highlighter settings with Enter key

•

Code Explorer wasn't accessible for PHP

•

function "show color" wasn't accessible in CSS

•

user convertors has strings limited to 25 chars

•

corrected line copy and line swap with AutoIndentation

•

corrected code format (include change tag case)

•

text differences - file names in window title was truncated

•

error if you write nonexistant picture name in interactive clips

•

wrong font in spell check windows on some Win9X

•

if editor contains word wrapped text, this was sent to internal browser

•

auto single and double quotes was placed to R/O files

•

interactive clips - corrected inserting default value in double quotes

•

corrected "quick" scrolling is you select block with mouse

•

several correction in HTML reformat

•

spell check changes R/O file

version 4.1.0 date 2-17-2003

•

initial directory in interactive clips is set as active file

•

in program settings you can set result LOG position (on then begin/end). You can set it in project settings too

•

into ASCII chart added chars ASCII 01..31

•

in internal browser you can scroll with cursors and use TAB for change focus

•

new functions insert as HTML (menu Edit / special). Enabled, if clipboard contains this format (copy from Internet Explorer)

•

export to HTML modified with <pre>..</pre> tags

•

project files are included in backup

•

extended functionality for auto completion (Ctrl+J). You can write and word list is filtered online.

•

PHP added into CodeExplorer (Shift+Ctrl+E). Work into HTML too. Added "Refresh" button

•

Cut and Copy with unselected text doesn't work on last line

•

"save as" and change file type wasn't respected selected type

•

text without highlighter - end of line was 2x if displayed special characters

•

Save with name (Ctrl+D) removes "modified"

•

missing keywords added into CSS highlighter

•

find next occurrence if search in block options was set

•

external application wasn't correctly saved in project setting

•

HTML reformat - <textarea> was formatted

•

after tray restore wasn't project restored correctly

•

spell check - underline word with apostrophe on the begin or end

version 4.0.9 date 3-4-2003

•

added auto brackets, single and double quote completion. You can switch it off in program settings / editor

•

in Find/replace Dialog added button "List" - creates list of lines on separate TAB in LOG Window

•

you can define server name for HTML preview on server (not only localhost)

•

new highlighter for Forth

•

new dialog for HTML color resolve (menu HTML or Ctrl+Alt+C)

•

added auto brackets completion. You can switch it off in program settings / editor

•

added German localization (Karel Jakl)

•

added color scheme like Edit+

•

expanded HTML clips (users)

•

project settings doesn't remember LOG parser setting

•

files restoration after start wasn't in last order

•

error message after call environment help in simple text

•

calling clip list with middle mouse button removes block selection

•

bad variable highlighting in MS-Dos BAT highlighter, if variable contains "_"

•

PSPad can't open file with date about year 1600 :-)

•

dictionary reading error

•

"SaveAs" in Multi-Highlighter sets filter as file type

•

after text conversion was incorrect word wrap indication on toolbar

•

HTML Compress and Reformat function doesn't count with PHP

•

after hiding internal HTML browser stays page content in browser and doesn't release memory

version 4.0.8 date 1-19-2003

•

added default CP in project settings

•

added missing hints in program settings dialog

•

new option program settings / editor - "Whole words only" for find current word

•

program settings/key mapping - added modification of editor hotkeys

•

program settings - added "remember file type" for Open dialog

•

after "Show project" (Ctrl+F2) - focus is set to project tree

•

in Find/replace dialog - nonproportional font with regular expression

•

auto completion - automatically added words from user syntax definition file

•

in "insert text to line" dialog - numbering from "0" and definable delimiter after numbers

•

find/replace - replace without confirmation - cursor position doesn't change

•

find/replace - search in selected text - selected block stay after searching

•

file panel - added hint with full filename

•

rewrote arrange window algorithm for tile horizontal and vertical

•

program settings/key mapping - warning, if shortcut is assigned to another action

•

auto completion - if nothing found, empty window was displayed

•

auto completion - shows words, contains string, not only words beginning with

•

on W95 wrong font used in spell check Window

•

wrong UNDO function in column selection and one char pressing

•

all hotkeys weren't localized

•

language of key map follow language change in settings dialog

•

removed 2x confirmation dialog after file changed with other application

•

after save all and file with R/O, Hidden or System attributes doesn't change state of file (modified)

•

error "cannot focus invisible window" occurs after restore from tray


Remerciements

Clips

8051 - Jaromir Rezek

AutoIt - Petr Franta

CAL - Martin Parizek

HTML - Karel Pavelka

IEC11131 - Petr Vetesnik

LonWorks NeuronC - Senko

MS-Dos - David Tardon (pøeklad)

MXI - Karel Pavelka

OtherCad - Ales Cerny, Ivan a Petr Slepickovi

Oracle - Kubo Zdeno, Milos Beno

PHP - Krystof Slaby, Karel Pavelka, Frantisek Blaha,

RSS - Karel Pavelka

TeX - Tomas Vacek

XHTML strict - Karel Pavelka

XML - Karel Pavelka

WML - Karel Pavelka

Colorations syntaxiques

Cliper - Kamil Vaclav

ASP - Jiri Hudec

Tcl/Tk - Ludek Melichar

IEC11131 - Petr Vetesnik

8051 - Jaromir Rezek

ArchiCad - Lubos Cipra

Asm51 - Martin Zeman

Z80 - Jiri Jaros

Dictionnaires de vérification orthographique

Dictionnaire tchèque - Michal Kolesa, Lubos Nemec, Zdenek Bulin, Radek Tlapak, Tomas Bat

Localisation

Portugais brésilien - Goncin

Français - Jean-Christophe Meylan, Olivier Bosschem

Italien - Angelo Contardi

Allemand - Karel Jakl

Polonais - Piotr Murawski, Rafal Lampe

Slovac I - Jan Skokánek

Slovac II - Jozef Kaprál

Grec - Stefanos Togoulidis

Ukrainien - Taras Kapuszcza

Correction de mon anglais "tchèque" du fichier de localisation et de l'aide - Steven LeBlanc

Je remercie toutes les personnes qui participent au développement de PSPad - tests, rapports de bogues, donations, suggestions de nouvelles fonctionnalités...


Contacts et Infos

A propos du programme

PSPad est écrit en Borland Delphi 5 & 7

Le programme utilise les composants et unités suivants:

•

SynEdit - composant de coloration syntaxique (http://synedit.sourceforge.net). Je l'ai étendu de plusieurs fonctions: (par ex. coupure de mots, colorations utilisateur...)

•

JCL - Jedi Code Library (http://www.delphi-jedi.org/)

•

HexEditor - Markus Stephany, (http://home.t-online.de/home/mirbir.st)

•

RTF2HTML - conversion RTF en HTML. Code source de David Majda (http://dmajda.hyperlink.cz)

•

TDiff - différences de texte de Angus Johnson (http://www.users.on.net/johnson/delphi/)

•

SynSpellCheck - Jakuba Dybala (http://www.synspellcheck.prv.pl) avec fonctionnalités propores - vitesse optimisée et dictionnaire tchèque créé par moi-même

•

algorithme de différentiation des mots lors de la vérification orthographique de Josef Hampl

•

PNGImage - Gustavo Huffenbacher Daud (http://pngdelphi.sourceforge.net)

•

GifImage - Anders Melander (anders@melander.dk)

•

Synapse - fonctionne avec HTTP et FTP - Lukáš Gebauer (http://www.ararat.cz/synapse/)

•

PBCClipBoard - composant du clipboard - Paul Bak (http://home11.inet.tele.dk/BakSoft/)

Le code utilisé et les composants sont gratuits (freeware) ou utilisés avec le consentement de leurs auteurs.

Tout le reste du code provenant du développement de PSPad est ma propriété.

PSPad est gratuit (freeware).

A propos de l'auteur

nom: Jan Fiala

e-mail: support@pspad.com

www: http://www.pspad.com

A propos de la société

adresse: Prog-Soft s.r.o.

Na Kovarske strani 1

317 03 PILSEN

Tél: 377 243 404

e-mail: plzen@prog-soft.cz

www: http://www.prog-soft.cz

Nous sommes les auteurs de INFOS. Ce Système d'information est spécialisé pour les producteurs et distributeurs de boissons.


FTP

FTP

Qu'est-ce que le FTP ?

Le FTP (File Transfer Protocol) vous permet de vous connecter à un serveur pour envoyer et recevoir des fichier via Internet. Vous pouvez, par exemple, utiliser le client FTP de PSPad pour télécharger vers un serveur les fichiers HTML de votre site web.

Où se trouve le client FTP ?

Le client FTP est un onglet du panneau Projet (menu "Affichage | Structure du projet" ou Ctrl+F2). Après un clic sur le bouton Connecter FTP, la liste des connexions définies apparaît. Vous pouvez lancer une connexion, ajouter, supprimer, éditer...

Après une connexion réussie, d'autres boutons apparaissent.

Vous pouvez lire des informations sur l'état de la connexion dans le panneau du LOG, à l'onglet FTP.

Notes sur le client FTP

•

Un fichier ouvert directement à partir du FTP est affiché par un onglet avec un fond blanc dans le panneau des fichiers. Toutes les informations concernant la connexion sont sauvegardées (nom de la connexion, répertoire du FTP, ...). Vous pouvez l'éditer et l'enregistrer.

•

Après un appel à la fonction Enregistrer, le fichier est sauvegardé à son emplacement d'origine sur le serveur FTP. Si la connexion n'est pas active à ce moment, l'enregistrement est interrompu.

•

Si vous souhaitez enregistrer un fichier (qui n'a pas été ouvert à partir du serveur FTP) dans un répertoire FTP actif, vous avez 3 possibilités:

1. Sélectionnez "Enregistrer en FTP" dans le menu Fichier ou

2. Cliquez sur le bouton de déroulement de l'icône d'enregistrement (une disquette) et sélectionnez "Enregistrer en FTP" ou

3. Clic droit sur l'onglet du fichier actif, et sélectionnez "Enregistrer en FTP".

•

S'il n'y a pas de connexion FTP active, la commande "Enregistrer en FTP" s'affiche en grisé.

•

Les fichiers sont stockés dans votre dossier temporaire. Structure:

TEMP\PSPad\server\ftp_path\file

Ils y sont stockés jusqu'à ce que le contenu de votre répertoire TEMP est supprimé.

•

Avertissement: vous êtes prévenus de l'effacement du répertoire parent (..) ou de n'importe quel répertoire non vide. Un message vous demande de confirmer votre choix.

Le client FTP offre

•

la connexion/déconnexion au serveur FTP

•

un menu contextuel détaillé lors d'un clic droit

•

une navigation dans la structure FTP

•

la mise à jour (rafraîchissement) de la structure du répertoire

•

le saut rapide au répertoire racine

•

le saut rapide dans le répertoire de travail distant

•

la création de répertoires

•

l'effacement de fichiers ou de répertoires vides

•

le renommage de fichiers ou répertoires

•

de garder la connexion active à intervales réguliers des commandes spécifiques

•

la sauvegarde de vos mots de passes sous une forme cryptée

•

le téléchargement de fichiers texte (pas de fichiers binaires tels que .JPG, .ZIP ou .CHM).

Menu contextuel du FTP

Le menu contextuel d'une connexion active FTP vous permet de...

Ouvrir en tant que texte

Créé une copie locale du fichier dans le dossier temporaire de Windows que vous pouvez éditer et sauvegarder rapidement. Vous pouvez ensuite sélectionner Enregistrer en FTP par un clic droit sur l'onglet du fichier. Si vous souhaitez sauvegaredr le fichier, déplacez-le du dossier temporaire, sinon il pourrait être effacé.

Editer directement dans PSPad

N'enregistre jamais une copie locale. Chaque fois que vous sauvegardez, le fichier est enregisté sur le serveur FTP. L'édition directe est la meilleure solution pour les éditions rapides. Il vous empêchera également d'oublier de sauvegarder vos changements sur le site FTP. En double-cliquant un fichier, vous pouvez directement l'éditer.

Les autres options du menu contextuel s'expliquent d'elles-mêmes.


Parametres FTP

Paramčtres FTP

Nom de la connexion

Nom de la connexion qui apparaîtra dans la liste FTP, vous permettant de vous connecter simplement en double-cliquant dessus.

Serveur

Nom ou adresse du serveur FTP. Si vous avez besoin de spécifier un port non standard (21), écrivez le numéro du port après l'adresse du serveur:

ftp.name.domain:port

Utilisateur

Nom de l'utilisateur pour accéder à un serveur FTP. Il est optionnel. S'il n'est pas introduit, il vous sera demandé.

Mot de passe

Mot de passe pour pour accéder à un serveur FTP. Il est optionnel. S'il n'est pas introduit, il vous sera demandé. Il est encrypté dans le fichier PSPadFTP.INI.

Répertoire distant

Ce répertoire sera réglé après les connexions au serveur.

Délai de réponse

Vous pouvez ajuster le délai de réponse pour chaque compte FTP. Il s'agit de la durée de l'attente d'une réponse du serveur par le client FTP avant que celui-ci ne se déconnecte.

Utiliser serveur proxy

Mode passif

Il peut être nécessaire si vous vous connectez à un FTP via un serveur proxy ou derrière un firewall. Essayez toujours de vous connecter sans activer ce mode.

Mode compatible (ancien Proxy/NAT)

Garder la connexion active

Durant un intervale défini (si le FTP est inoccupé) PSPad enverra certaines commandes pour empêcher le serveur de vous déconnecter. Beaucoup de serveurs attendent 5 minutes (300 secondes) d'inactivité avant de vous déconnecter.

Mettre le nom du fichier en minuscule


Page HTML - exemple

Page HTML - Exemple

•

Ouvrez un nouveau document HTML. Cela chargera également le fichier clip de définition pour le HTML, incluant la coloration syntaxique.

•

Pressez Ctrl+Espace, choisisez html (ou écrivez html et pressez MAJ+Espace) - vous obtiendrez la stucture de base d'une page HTML

•

Utilisez d'autres clips (Ctrl+Espace) ou leurs raccourcis assignés (chapitre sur les clips) pour écrire ce que vous devez.

•

Créez ou ouvrir d'autres pages

•

Je vous suggère les raccourcis de clips tels que Ctrl+Enter, Ctrl+B, Ctrl+I, .... Voir ce que ces raccourcis-clavier provoquent à: "Options | raccourcis-clavier" (c'est vide s'il n'y a pas de raccourcis assignés dans le fichier .DEF pour ce type de fichier). Par exemple, lorsque vous êtes dans un document HTML, Ctrl+B provoque le placement des balises de gras <b></b> avec votre curseur au milieu d'eux. Si vous sélectionnez du texte avant d'appuier sur Ctrl+B, le texte sera entouré par les balises de mise en gras.

•

Définissez la page principale HTML (index.html) comme "Page principale" - Ctrl+M pour une meilleure visibilité.

•

Pressez F10 à n'importe quel moment pour examiner le résultat de votre travail dans l'application par défaut, dans ce cas le navigateur interne.

•

Presser Shift+Ctrl+E affichera l'Explorateur de code pour une meilleure orientation du code

Comment utiliser efficacement le programme

•

Après la sélection d'un bloc de lignes, vous pouvez augmenter ou diminuer l'indentation - Shift+Ctrl+U Shift+Ctrl+I ou Tab / Shift+Tab

•

Utiliser les clips (Ctrl+Espace)

•

Utiliser les raccourcis-clavier. Au lieu d'appuier sur Ctrl+Espace puis sélectionner le tag "B", vous pouvez sélectionner votre texte et presser Ctrl+B (dans un document HTML).

•

vous pouvez utiliser ANNULER et RETABLIR à n'importe quel moment

•

vous pouvez simplement réouvrir le fichier avant de le sauver, si vous n'êtes pas satisfait(e) des changements Ctrl+R

•

utiliser les signets pour vous orienter rapidement dans le code Ctrl+Gauche/Droit, Ctrl+Bas/Haut

•

utiliser le menu contextuel - clic du bouton droit de la souris

•

utiliser l'aide. Essaier en pressant F1 dans différentes situations: dans la fenêtre Projets, dans une boîte de dialogue, lorsque qu'un clic de votre souris a affiché un menu contextuel.

•

explorer et essaier les outils des différents menus. Certaines fonctions vous permettront d'économiser beaucoup de temps.


Editeur hexadécimal

Editeur hexadécimal

PSPad travaille avant tout avec des fichiers texte. Le caractère possédant la valeur ASCII 00h est considéré comme la fin d'un fichier texte. Cela signifie que vous ne pouvez ouvrir un fichier non-textuel dans l'éditeur. Mais PSPad contient aussi un éditeur hexadécimal.

Que signifie hexadécimal ?

Dans un éditeur hexadécimal, vous pouvez éditer un fichier octet par octet et vous êtes autorisé(e) à ouvrir et éditer n'importe quel type de fichier, même binaire. Attention: vous pouvez abîmer un fichier binaire avec un seul caractère si vous ne savez pas ce que vous faites.

Comment éditer n'importe quel fichier dans PSPad ?

Utilisez le menu "Fichiers | Ouvrir dans l'éditeur HEXA", et le fichier s'ouvrira dans l'éditeur hexadécimal.

Comment éditer des fichiers texte dans l'éditeur hexadécimal ?

Ouvrez un fichier texte dans l'éditeur. Dans le menu Affichage, choisissez le mode Editeur hexadécimal. Le contenu du texte édité est affiché en hexadécimal sans être sauvegardé. Vous pouvez effectuer tous les changements que vous voulez. Si vous cliquez à nouveau dans "Affichage | Editeur hexadécimal", le contenu du fichier texte est à nouveau affiché dans l'éditeur de texte.

Que pouvez-vous faire dans l'éditeur hexadécimal ?

•

commuter entre les mode écraser et insérer en pressant la touche Insert

•

aller à l'adresse - Ctrl+G

•

chercher / remplacer du texte ou des octets - Ctrl+F

•

créer des signets Shift+Ctrl+0..9 et aller aux signets Ctrl+0..9

Comment écrire des nombres décimaux ou hexadécimaux ?

Pour entrer des nombres hexadécimaux, vous devez y placer devant le caractère $. Les nombres décimaux (ou réguliers) sont en base 10, alors que les nombres hexadécimaux sont en base 16.

Exemple:

décimal | hexadécimal
10 | $0A
255 | $FF


Conversion du code de page

Conversion du code de page

Comment PSPad convertit le code de page ?

Si vous sélectionnez un code de page (CP) différent de l'ANSI, cela signifie que le fichier sur le disque est dans ce CP. Lors de la lecture d'un fichier, PSPad convertit le CP spécifique en ANSI, le format natif de Windows.

Si vous souhaitez enregistrer un fichier avec un CP différent, modifiez simplement le CP dans le menu et enregistrez-le. C'est tout. PSPad convertira le fichier de ANSI au code page spécifié durant le processus d'enregistrement.

La majorité des utilisateurs utiliseront le codes de page ANSI (pas de conversion), OEM, ISO-8859-2, UTF-8 ou UNICODE. Les codes de page ont une signification uniquement pour les utilisateurs tchèques et slovaques.

Détection automatique du CP

N'utilisez pas cette fonction! Elle n'a de signification que pour les utilisateurs tchèques et slovaques. Elle ne fonctionnera pas dans les autres environnements.

Exemple:

Sauvegarde d'un fichier ANSI en UNICODE

Sélectionnez ANSI dans le menu Format.

Ouvrez le fichier

Changez le code de page en UNICODE

Enregistrez le fichier

C'est toutl. Le fichier est converti durant le l'enregistrement en UNICODE.


Macro

Macro

Qu'est-ce qu'une macro ?

Une macro est une série de commandes d'édition. Vous pouvez enregistrer ces commandes et les exécuter plus tard.

Comment cela fonctionne-t-il ?

Pressez Démarrer/Stopper enregistrement (Ctrl+F5), et à partir de cet instant tout le texte est enregistré. Le symbole du curseur se transforme en enregistreur. Tapez votre texte et vos commandes clavier.

Pressez Démarrer/Stopper enregistrement (à nouveau Ctrl+F5), une boîte de dialogue apparaît; vous choisissez un nom, et la macro est prête à l'utilisation.

Les macros sont enregistrées en fichiers .PME (PSPad macro record). Elles sont stockées dans le répertoire ..\Macro, créé lorsque vous enregistrez votre première macro.

Vous pouvez ouvrir les macros à partir du dique, les éditer et les enregistrer.

Attention: vous n'êtes pas averti(e) lorque vous enregistrez une macro avec le même nom qu'une autre. Elle écrase simplement la précédente.

Les raccourcis-clavier par défaut sont disponibles pour vos macros: F5, F6, Alt+F6, Ctrl+Alt+F6. Si vous souhaitez en assigner d'autres à vos macros, vous devez vous rendre dans le gestionnaire de macros (Shift+Ctrl+F5) après avoir nommé les macros.

Limites

Les macro n'enregistrent pas les actions de la souris. Sélectionnez un bloc avec Shift+Cursors.

Les macros ne fonctionnent pas avec Rechercher, Remplacer et autres fonctions.

La longueur des macros n'est pas limitée (uniquement par la mémoire). La liste de commande des macros est dispoible ici.

Si vous créez une macro qui sélectionne du texte ou utilise les flèches lorsque le mode Coupure de lignes est activé, elle peut agir différemment si vous l'exécuter avec le mode Coupure de ligne désactivé.

Edition de macros

Choisissez le menu "Outils | Macro | Gestionnaire de macros | Editer", vous verrez le contenu de la macro. Vous pouvez utiliser un surlignage spécial et des clips (Ctrl+Espace).

Recommandation des options de surlignage pour l'édition de macros:

Commentaires noir, police normale

Identifieurs rouge, police normale (une mauvaise commande sera en rouge)

Mots-clefs bleu, police normale


Commandes des macros

Commandes des macros

Format du fichier macro:

Chaque commande doit être séparée par une ligne. Après la commande d'écriture de caractères ecChar les caractères doivent être écrits entre accolades {}. Par exemple, la commande ecChar{Hello} écrira le mot "Hello" à la position du curseur.

Liste des commandes:

ecLeft déplace le curseur d'un caractère à gauche

ecRight déplace le curseur d'un caractère à droite

ecUp déplace le curseur d'une ligne au-dessus

ecDown déplace le curseur d'une ligne au-dessous

ecWordLeft déplace le curseur d'un mot à gauche

ecWordRight déplace le curseur d'un mot à droite

ecLineStart déplace le curseur au début de la ligne

ecLineEnd déplace le curseur à la fin de la ligne

ecPageUp déplace le curseur d'une page au-dessus

ecPageDown déplace le curseur d'une page au-dessous

ecPageLeft move cursor right one page

ecPageRight move cursor left one page

ecPageTop déplace le curseur au début de la page

ecPageBottom déplace le curseur à la fin de la page

ecEditorTop déplace le curseur au début absolu

ecEditorBottom déplace le curseur d'une page à la fin absolue

ecGotoXY déplace le curseur à une coordonnée spécifique, Data = PPoint

ecSelLeft ecLeft + ecSelection;

ecSelRight ecRight + ecSelection;

ecSelUp ecUp + ecSelection;

ecSelDown ecDown + ecSelection;

ecSelWordLeft ecWordLeft + ecSelection;

ecSelWordRight ecWordRight + ecSelection;

ecSelLineStart ecLineStart + ecSelection;

ecSelLineEnd ecLineEnd + ecSelection;

ecSelPageUp ecPageUp + ecSelection;

ecSelPageDown ecPageDown + ecSelection;

ecSelPageLeft ecPageLeft + ecSelection;

ecSelPageRight ecPageRight + ecSelection;

ecSelPageTop ecPageTop + ecSelection;

ecSelPageBottom ecPageBottom + ecSelection;

ecSelEditorTop ecEditorTop + ecSelection;

ecSelEditorBottom ecEditorBottom + ecSelection;

ecSelGotoXY ecGotoXY + ecSelection; // Data = PPoint

ecSelectAll sélectionne tout le contenu de l'éditeur du curseur à la fin

ecCopy copie la sélection dans le presse-papiers

ecScrollUp déplace l'écran vers le haut en laissant la position du curseur inchangée

ecScrollDown déplace l'écran vers le bas en laissant la position du curseur inchangée

ecScrollLeft déplace l'écran vers la gauche en laissant la position du curseur inchangée

ecScrollRight déplace l'écran vers la droite en laissant la position du curseur inchangée

ecInsertMode sélectionne le mode insertion

ecOverwriteMode sélectionne le mode écraser

ecToggleMode bascule le mode insertion/écraser

ecNormalSelect mode de sélection normal

ecColumnSelect mode de sélection colonne

ecLineSelect mode de sélection lignee

ecMatchBracket aller à la parenthèse, accolade ou crochet complémentaire

ecGotoMarker0 aller au signet 0

ecGotoMarker1 aller au signet 1

ecGotoMarker2 aller au signet 2

ecGotoMarker3 aller au signet 3

ecGotoMarker4 aller au signet 4

ecGotoMarker5 aller au signet 5

ecGotoMarker6 aller au signet 6

ecGotoMarker7 aller au signet 7

ecGotoMarker8 aller au signet 8

ecGotoMarker9 aller au signet 9

ecSetMarker0 placer le signet 0, Data = PPoint - X, Y Pos

ecSetMarker1 placer le signet 1, Data = PPoint - X, Y Pos

ecSetMarker2 placer le signet 2, Data = PPoint - X, Y Pos

ecSetMarker3 placer le signet 3, Data = PPoint - X, Y Pos

ecSetMarker4 placer le signet 4, Data = PPoint - X, Y Pos

ecSetMarker5 placer le signet 5, Data = PPoint - X, Y Pos

ecSetMarker6 placer le signet 6, Data = PPoint - X, Y Pos

ecSetMarker7 placer le signet 7, Data = PPoint - X, Y Pos

ecSetMarker8 placer le signet 8, Data = PPoint - X, Y Pos

ecSetMarker9 placer le signet 9, Data = PPoint - X, Y Pos

ecDeleteLastChar supprimer le dernier caractère (équiv. à la touche d'effacement arrière)

ecDeleteChar supprimer le caractère au curseur (équiv. à la touche Delete)

ecDeleteWord supprimer du curseur à la fin du mot

ecDeleteLastWord supprimer du curseur au début du mot

ecDeleteBOL supprimer du curseur au début de la ligne

ecDeleteEOL supprimer du curseur à la fin de la ligne

ecDeleteLine supprimer la ligne courante

ecClearAll supprimer tout

ecLineBreak couper la ligne à la position courante, déplacer le circonflexe sur la nouvelle ligne

ecInsertLine couper la ligne à la position courante, laisser le circonflexe

ecChar insérer un caractère à la position courante

ecImeStr insérer caractère(s) de l'Asie de l'Est (IME)

ecUndo exécuter "Annuler" si disponible

ecRedo exécuter "Rétablir" si disponible

ecCut couper le texte sélectionné dans le presse-papiers

ecPaste coller le contenu du presse-papiers à la position du curseur

ecBlockIndent décaler la sélection

ecBlockUnindent supprimer le décalage de la sélection

ecTab touche de tabulation

ecShiftTab shift+touche de tabulation

ecUpperCase mettre en majuscule le mot courant ou précédant

ecLowerCase mettre en minuscule le mot courant ou précédant

ecToggleCase inverser la casse du mot courant ou précédant

ecTitleCase mettre en majuscule la première lettre du mot courant ou précédant

ecUpperCaseBlock mettre en majuscule la sélection courante ou le caractère courant s'il n'y a pas de sélection

ecLowerCaseBlock mettre en minuscule la sélection courante ou le caractère courant s'il n'y a pas de sélection

ecToggleCaseBlock inverser la casse de la sélection courante ou du caractère courant s'il n'y a pas de sélection


Onglets des fichiers

Onglets des fichiers

Aspect des onglets:

•

fonte en gras - fichier actif

•

fond gris foncé - fichier principal d'un projet

•

fonte en souligné - fichier modifié

•

fonte noir - editor file

•

fond gris - fichier en lecture seule, masqué ou système

•

fonte en italic - fichier mis en lecture seule dans PSPad

•

fonte en bleu - éditeur hexadécimal

•

fonte en rouge - différences de texte

•

fontes en vert - fichier actualiser automatiquement (menu Fenêtre / Actualisation automatique. L'intervale est défini dans Options du programme / Editeur)

Menu contextuel (clic droit de la souris)

Affichage en rapport avec le fichier actif. Si la fonction sélectionnée est pour deux fichiers, elle influencera le fichier actif et le fichier au-dessus duquel vous avez appelé le menu contextuel.

delete Fermer

Ferme le fichier.

saveftp Enregistrer en FTP

ro Lecture seule

textdiff1 Mosaïque verticale

Mosaïque horizontale

Affiche deux fichiers sur la surface complète de l'éditeur. Si vous sélectionnez cette fonction sur le fichier actif, le fichier s'ouvre à nouveau en mode Lecture seule (R/O), avec l'onglet en italique.

link on Synchroniser le déplacement

Affiche deux fichiers côte-à-côte et déplace les ascenseurs verticaux simultanément.

Comparer avec fichier

Compare les contenus de deux fichiers texte. Les résultats sont affichés dans une nouvelle fenêtre. Plus d'informations dans le chapitre sur les comparaisons de fichier ou diffé rences de texte.

Comparer avec le contenu du fichier sur le disque

compare le fichier actif avec son contenu sur le disque. Les résultats sont affichés dans une nouvelle fenêtre.

projfilemain Définir comme fichier principal

Défini le fichier comme fichier principal du projet. Si vous lancer une compilation, le fichier marqué comme principal (s'il est défini comme tel) est toujours envoyé au compilateur. Ce fichier peut appeler d'autres fichiers à compiler. Si vous ne compilez pas ce type de fichier, le paramètre Principal sert à rendre le fichier plus visible parmi les onglets de l'éditeur.

Ajouter ce fichier au projet

Ajoute le fichier au dossier actif du projet.

Souris

Bouton gauche: sélection du fichier

Bouton gauche + glisser/déposer: changer la position des onglets des fichiers

Bouton droit: menu contextuel


Projet

Projets

A quoi servent les projets ?

Admettons que nous soyons dans une application Internet - plusieurs pages web, des CSS, des scripts... Si vous souhaitez ordonner vos fichiers, vous avez besoin d'organisation. Vous devez également pouvoir accéder rapidement à vos fichiers. Cela nécessite la création d'un projet.

Les bénéfices des projets

•

Simplicité: vous n'ouvrez qu'un seul projet à la fois.

•

Flexibilité: les fichiers du projet peuvent être sauvés dans différents répertoires.

•

Confort: vous pouvez utiliser le même fichier dans plusieurs projets. Le fichier est ouvert en double-cliquant son icône dans l'arborescence du projet.

•

Organisation: les fichiers du projet sont présentés dans des répertoires virtuels.

•

Rapidité: alors que vous ne pouvez ouvrir tous les fichiers d'un projet en une fois, vous pouvez le faire avec les répertoires virtuels du projet.

•

Automatisation: vous pouvez définir dans le projet un fichier principal, qui sera toujours exécuté par une application externe et/ou par le compilateur par défaut (si un est configuré).

•

Continuité: l'état du bureau peut être sauvegardé à la fin du travail et restauré au lancement du projet.

•

Sécurité: ajouter ou supprimer un fichier du projet n'a aucune influence sur ce fichier (supprimer un fichier d'un projet ne l'efface pas). Seule une référence au fichier (lien) est ajoutée ou supprimée au projet.

Comment débuter un projet

Lors du lancement de PSPad un projet vide est toujours créé, mais n'a aucune influence sur son fonctionnement. Un projet est activé en ajoutant un fichier au minimum.

Travailler avec des projets

Ouvrir ou sélectionner un fichier

Un double-clic (ou Enter) sur le nom d'un fichier dans l'arborescence du projet ouvre ou active ce fichier dans l'éditeur.

Si le fichier n'existe plus, vous pouvez spécifier un nouveau chemin d'accès ou le supprimer du projet.

projaddfile Ajouter ce fichier au projet

•

Glisser le bouton du fichier et le déposer sur le dossier du projet (pas simplement dans la fenêtre du projet)

•

Menu contextuel (bouton droit de la souris) sur l'onglet du fichier de l'éditeur

•

Note: vous ne pouvez pas glisser un fichier depuis l'Explorateur de Windows dans un projet. Le faire ouvrira simplement le fichier dans PSPad. Cependant, vous pouvez glisser à partir d'ici l'onglet du fichier dans le dossier du projet.

Pour ajouter un fichier au projet par un clic droit sur le bouton du fichier, vous devez avoir:

1. Un dossier au minimum dans l'arborescence du projet

2. Un dossier ou un fichier doivent être actifs, pas de nom de projet

projdelfile Supprimer fichier du projet

•

Bouton de la barre d'outils du projet

•

Clic droit de la souris sur le fichier dans l'arborescence du projet ou Shift+Ctrl+Del

projfoldernew Créer dossier

•

Bouton de la barre d'outils du projet

•

Clic droit dans l'arborescence du projet pour afficher le menu contextuel. Le nom du dossier doit être unique dans le projet .

projfolderdel Supprimer dossier

•

Bouton de la barre d'outils du projet

•

Clic droit dans l'arborescence du projet pour afficher le menu contextuel. Le répertoire et les fichiers qui y sont contenus sont supprimés du projet

Ajouter des fichiers...

Menu contextuel dans l'arborescence. Vous pouvez sélectionner plusieurs fichiers à la fois pour le projet dans la boîte de dialogue Ouvrir; maintenez la touche Ctrl appuiée lorsque vous souhaitez sélectionner plus d'un fichier.

editchp Renommer un projer ou un répertoire

Pressez F2 sur le nom du projet ou du répertoire, ou utiliser le menu contextuel dans l'arborescence du projet. Pour renommer un fichier, utilisez la fonction "Enregistrer sous..." du menu Fichier.

Manipulation de fichier

Vous pouvez glisser et déplacer les fichiers pour les réorganiser

projnew Nouveau projet

Si un projet est déjà ouvert, il est fermé et le nouveau projet est créé. Cette fonction est également utilisée pour fermer le projet.

Options du projet

Vous permet de mémoriser les paramètres du projet, tels que le répertoire par défaut, les applications externes et le compilateur. Ces paramètres sont prioritaires par rapport au menu Options / Options de la coloration syntaxique. Si la coloration syntaxique d'un fichier C définit l'utilisation du compilateur MS Visual Studio, et que le projet définit l'utilisation de GCC, celui-ci compilera le fichier "principal" lorsque vous êtes dans le projet. Par contre, hors du projet, F10 compilera le fichier principal avec MS Visual Studio.

L'accès à la définitions du projet se fait par le menu contextuel ou par "Projets | Définition du projet".

Informations sur le projet

Affiche le nom, le nombres de lignes et le chemins d'accès de tous les fichiers du projet.

Modifications importantes ou mineures du projet

Modifications importantes - contenu du projet modifié (ajout / suppression de fichier, dossier, projet renommé...)

Modifications mineures - projet modifié visuellement (déplacement de fichier...).

Après une modification importante, il est demandé si le projet doit être sauvé, alors que les modifications mineures sont sauvées sans poser de question.

Comment est enregistré un projet

Un projet est mémorisé dans un fichier INI (fichier structuré en simple texte). L'extension du fichier .PPR (PSPad project). Ce type de fichier est automatiquement associé à PSPad.

Les fichiers sont référencés au projet avec des chemins d'accès relatifs pour faciliter les déplacements.

Comment sont sélectionnés les fichiers dans un projet

En double-cliquant (ou en pressant la touche Enter) un fichier de la fenêtre projet, PSPad ouvrira celui-ci s'il s'agit d'un type de fichier connu (C, C++, PHP, HTML, ...). Un fichier dont le type n'est pas défini sera exécuté par son application par défaut. Par exemple, double-cliquer sur un fichier .TXT dans la la fenêtre du projet lancera NotePad avec ce fichier en tant que paramètre; mais si vous avez défini une coloration syntaxique pour les fichiers .TXT, un double-clic l'ouvrira dans PSPad.

Vous pouvez toujours faire un clic droit dans la fenêtre du projet et sélectionner "Ouvrir en tant que texte" (ou "Ouvrir dans l'éditeur hexadécimal").


Raccourcis-clavier

Raccourcis-clavier

La liste des commandes des macros est ici.

Clips

Ctrl+Espace liste des clips

Shift+Espace insérer un clip avec nom

Ctrl+J achèvement automatique

Editeur

Ctrl+PgUp haut de la fenêtre d'édition

Ctrl+PgDn bas de la fenêtre d'édition

Ctrl+Home début du document

Ctrl+End fin du document

Shift+Ctrl+PgUp sélection jusqu'au haut de la fenêtre d'édition

Shift+Ctrl+PgDn sélection jusqu'au bas de la fenêtre d'édition

Shift+Ctrl+Home sélection jusqu'au début du document

Shift+Ctrl+End sélection jusqu'à la fin du document

Ctrl+A tout sélectionner

Shift+Ctrl+T sélection de toutes les balises HTML

Shift+Ctrl+M sélection du contenu entre crochets ou parenthèses

Shift+Ctrl+é sélection d'une chaîne de caractères avec les guillements

Ctrl+é sélection d'une chaîne de caractères sans les guillements

F8 début / fin de la sélection d'un bloc

Ctrl+Up si un bloc est sélectionné, alors sauter au début du bloc

Ctrl+Down si un bloc est sélectionné, alors sauter à la fin du bloc

Ctrl+Up déplace l'écran vers le haut en laissant la position du curseur inchangée

Ctrl+Down déplace l'écran vers le bas en laissant la position du curseur inchangée

Ctrl+Del supprime la fin du mot

Ctrl+Y supprime la ligne

Shift+Ctrl+Y supprime la fin de la ligne

Shift+Ctrl+DEL supprime la balise HTML

Ctrl+C copie dans le presse-papiers. Si rien n'est sélectionné, la ligne active est copiée*

Ctrl+X coupe dans le presse-papiers. Si rien n'est sélectionné, la ligne active est coupée*

Ctrl+V colle le contenu du presse-papiers

* Uniquement si la case "Couper et Copier étendus" est cochée dans "Options du programme | Editeur"

Alt+BackSpace ANNULER

Ctrl+Z ANNULER

Shift+Alt+Back RETABLIR

Shift+Ctrl+Z RETABLIR

Shift+Ctrl+N bloc normal

Shift+Ctrl+L bloc de ligne(s)

Shift+Ctrl+C bloc en colonne

Ctrl+W activer/désactiver la coupure de lignes

Opérations avec les fichiers

Ctrl+N nouveau fichier

Ctrl+O ouvrir fichier(s)

Shift+Ctrl+O ouvrir dans l'éditeur hexadécimal

Ctrl+D ouvrir avec nom

Ctrl+F4 fermer le fichier

Shift+Ctrl+F4 fermer tout

Ctrl+S enregistrer le fichier

F12 enregistrer sous

Shift+Ctrl+S enregistrer tout

Ctrl+Alt+S enregistrer sans modifier la date

Ctrl+P imprimer

Alt+P paramètres d'impression

Rechercher / Remplacer

Ctrl+F boîte de dialogue "Rechercher"

F3 rechercher le suivant

Shift+F3 rechercher le précédent

Shift+Ctrl+UP rechercher la prochaine occurence du mot courant

Shift+Ctrl+DOWN rechercher l'occurence précédante du mot courant

Ctrl+H boîte de dialogue "Remplacer"

Ctrl+E recherche incrémentale

Alt+G aller à la ligne

Shift+Ctrl+F Rechercher / Remplacer dans des fichiers (précédemment Alt+F)

Ctrl+M rechercher entre parenthèses, crochets ou accolades

Signets

Shift+Ctrl+0..9 insérer / supprimer signet

Ctrl+0..9 aller au signet

Shift+Ctrl+B liste des signets

Alt+LEFT insérer un signet

Alt+RIGHT supprimer un signet

Alt+UP signet précédent

Alt+DOWN signet suivant

Format du bloc

Shift+Ctrl+I augmenter le retrait

Shift+Ctrl+U diminuer le retrait

TAB augmenter le retrait

Shift+TAB diminuer le retrait

Ctrl+K reformater le bloc. Fin par une ligne vide

Shift+Ctrl+K reformater le bloc. Fin par une ligne courte

Commentaires

Shift+Ctrl+A ajouter une ligne de commentaires

Shift+Ctrl+R effacer la ligne de commentaires

Modification de la casse

Ctrl+Alt+U caractères en majuscules

Ctrl+Alt+L caractères en minuscules

Ctrl+Alt+T capitaliser - Comme Les Titres Des Livres

Macros

Ctrl+F5 démarrer / stopper l'enregistrement

Alt+F5 stopper l'enregistrement

F5 exécuter la macro

Outils

Alt+A table ASCII

Alt+C Palette des couleurs HTML

Ctrl+Alt+C traduire les couleurs

Alt+I insérer du texte aux lignes

Alt+D insérer la date

Application externe / compilateur

F9 ouvrir dans une application externe

Ctrl+F9 lancer le compilateur

Manipulation de fenêtre

Shift+Alt+L empêcher le déplacement de fenêtre

Ctrl+L afficher / masquer la fenêtre LOG

Alt+L passer à l'éditeur / LOG / projet

Ctrl+Tab fenêtre prochaine

Shift+Ctrl+Tab fenêtre précédente

Souris

Clic gauche positionner le curseur

Clic droit menu contextuel

Clic central afficher la liste des clips

Bouton gauche glisser pour sélectionner un bloc normal

Bouton droit déplacer dans la fenêtre de défilement

Alt+bouton gauche glisser pour sélectionner un bloc en colonne

Shift+bouton droit sélectionner un bloc à partir du curseur

Double-clic sélectionner un mot

Ctrl+double-clic sélectionner un texte entre guillemets

Alt+double-clic sélectionner un tag HTML

Ctrl+Alt+double-clic sélectionner entre parenthèses, accolades ou crochets


Ligne de commande

Paramètres en ligne de commande

Syntaxe de la ligne de commande:

PSPad "drive:\path\filename" [/commutateur]

Valeur du commutateur:

/H ouvrir le fichier dans l'éditeur hexadécimal de PSPad

/R ouvrir le fichier en mode Lecture seule

/nnn ouvrir le fichier et aller à la ligne nnn


Fichiers et répertoires

Fichiers et répertoires

L'emplacement des fichiers et des répertoires est relatif à PSPad.EXE. Certains répertoires sont créés si nécessaire.

PSPad ne nécessite pas d'installation. Pour l'utiliser, vous avez uniquement besoin de PSPad.EXE. Si vous utilisez PSPad en mode Multi-utilisateurs (WinNT), les configurations et fichiers utilisateur sont stockés dans le répertoire du profil d'utilisateur (habituellement .\Document and settings\User\Application data\PSPad)

Structure des fichiers et répertoires

PSPad.exe

fichier exécutable de l'éditeur. C'est tout ce dont vous avez besoin.

PSPad.chm

fichier d'aide.

PSPad.ini

fichier des paramètres. En mode Multi-utilisateurs, il est stocké dans le profil utilisateur.

PSPad_MU.ini

paramètres communs pour tous les utilisateurs.

Licence.txt

licence

PSCache.bin

fichier contenant l'état du fichier précédemment ouvert. En mode Multi-utilisateurs, il est stocké dans le profil utilisateur. Vous pouvez le supprimer si vous le souhaitez.

Notepad.exe

remplacement du Notepad.EXE standard. Il s'agit seulement d'un lanceur de PSPad.

Notepad.TXT

description de Notepad.EXE.

TiDyCom.dll

librairie pour le contrôle et le formatage du code HTML.

TiDyCFG.ini

fichier de configuration de TiDy (section affichée dans le menu HTML)

PSPad.map

fichier de débogage. Avec ce fichier, PSPad crée le fichier PSPad_err.LOG contenant des informations d'erreurs détaillées.

PSPad_err.log

fichier LOG contenant des informations d'erreurs détaillées.

Répertoires

Context

répertoire des fichiers de clips. Si vous ouvrez un fichier avec de la coloration syntaxique, le fichier clip correspondant est automatiquement ouvert.

BAT.def

HTML.def

:

VBScript.def

Lang

répertoire des fichiers de localisations de PSPad (fichiers .INI)

Syntax

répertoire des surlignages définis par l'utilisateur (fichiers .INI)

Macro

répertoire de stockage des macros (fichiers .PME)

Spell

répertoire des correcteurs orthographiques (fichiers .DIC). Ici se trouve également le dictionnaire de l'utilisateur (si le mode Multi-utilisateur n'est pas activé).

Colors

répertoire du système des couleurs (fichier .INI)

Convert

répertoire des convertisseurs utilisateur (fichier .INI)

Template

Fichier | Nouveau | Modèle utilisateur propose des gabarits pour ASP, PHP, HTML, XML, XSLT...


Sauver le bureau

Mémoriser l'état du bureau

Qu'est-ce que cela signifie ?

PSPad peut sauver le bureau (fichiers ouverts) et réouvrir automatiquement ces fichiers au prochain lancement de l'éditeur. Si vous choisissez dans les Options du programme "Sauver la session", PSPad se souviendra de la position du curseur, des surlignages, des signets,... pour chaque fichier.

Cas du démarrage des fichiers (concepts):

•

démarrage sans paramètres - lance PSPad et les fichiers ouverts dans PSPad (boîte de dialogue Ouvrir, historique des fichiers, ...)

•

démarrage avec paramètres - double-clic sur des fichiers associés à PSPad, menu contextuel sur un fichier, F4 dans Total Commander (PSPad est lancé avec le fichier spécifié).

Sauver le bureau

Vous pouvez activer / désactiver cette fonction dans "Options du programme | Fichiers et répertoires | Sauver la session"

Philosophie (comment ça marche)

L'état du bureau est mémorisé lorsque PSPad est lancé sans paramètres, à l'exception de l'ouverture d'un projet.

1.

Vous travaillez avec PSPad, ouvrez des fichiers puis quittez le programme - le bureau est mémorisé.

2.

Vous ouvrez des fichiers depuis total Commander, puis quittez PSPad - le bureau n'est pas mémorisé.

3.

Vous démarrez directement PSPad - le bureau est restauré selon le point 1.

Ainsi vous pouvez utiliser PSPad à n'importe quel moment en remplacement de NotePad (en double-cliquant sur des fichiers .TXT, après avoir déposé le Notepad.exe spécial de PSPad dans le dossier Windows). Et si vous lancez PSPad sans aucun paramètres, vous le trouverez tel que que vous l'aviez quitté.


Clips

Clips

Les Clips sont utilisés pour améliorer la productivité. Ils peuvent contenir des parties de code, des articles de glossaire, des scripts, des listes de commandes.... Chaque clip comprend un nom, une description et un contenu. Le nom et la description sont affichées dans la liste de clips qui surgit. Lors de la sélection, le contenu est inséré à la position du curseur. Plusieurs clips sont stockés dans chaque fichier de définition de clips.

Le nombre de lignes du contenu est illimité. La structure des lignes est conservée durant l'insertion (retours à la ligne et espaces).

Comment appeler un clip:

•

Ecrire le nom du clip (ou partiellement) et presser Ctrl+Espace. Une liste de clips approchant le nom du clip tapé apparaît. Sélectionner le clip désiré et presser Enter. Ou double-cliquer dessus.

•

Ecrire le nom complet du clip et presser Shift+Espace. Le clip est immédiatement inséré à la position du curseur (s'il est trouvé). Aucune liste n'est présentée.

•

Utiliser le raccourci-clavier assigné au clip. Les raccourcis-clavier assignés sont affichés dans le menu "Options | Raccourcis-clavier des clips" (si des raccourcis-clavier existent pour le document actif).

Les clips sont stockés dans les fichiers .DEF du répertoire .\Context. Les noms des fichiers doivent être identiques au noms surlignés. Vous pouvez modifier ces fichiers selon votre convenance. Pour éditer un clip (ou en créer un s'il n'existe pas encore), aller au menu Options / Editer fichier de clips.

Format d'un fichier de clips:

; - les commentaires sont ignorés

;; - introduire le caractère ";" dans le code

[nom |x description]*raccourci

le nom du clip est affiché en gras. il est inséré lorsque vous pressez Shift+Espace

le caractère | délimite (ou sépare) le nom de la description

le caractère x spécifie la couleur du clip dans la liste des clips (optionnel)

l'en-tête du clip est contenu entre des crochets []

le caractère * est une marque pour le raccourcis-clavier (optionnel)

le raccourci spécifie le raccourci-clavier du clip (optionnel)

Contenu du clip

Seul le texte de l'en-tête peut commencer avec le caractère [.

Le caractère | détermine la position du curseur après l'insertion du clip (uniquement le premier caractère de l'occurence).

Le caractère § (Alt+167) détermine l'emplacement pour l'insertion du texte sélectionné. Le texte sélectionné sera placé sur chaque occurence de ce caractère. Par exemple, JScript.DEF utilise le caractère de ce texte sélectionné dans: Alerte, Confirmer & Invite de commande..

Définition des couleurs:

Dans l'en-tête du clip, vous pouvez définir une couleur pour la liste des clips:

M marron

R rouge

N bleu marine

B bleu

P violet

F fuchsia

G gris

D gris foncé

Exemple:

[requête | exemple de l'usage d'un clip ]*Shift+Ctrl+Z

Concerne: Demande d'augmentation de salaire

-------------------------------------------

Je demande fermement une augmentation de salaire de €|

Exemples d'utilisation:

•

pressez Ctrl+Espace, sélectionnez le clip et pressez Enter

•

écrivez le mot requête et pressez Shift+Espace

•

pressez Shift+Ctr+Z

•

pressez le bouton central de la souris, sélectionnez le clip puis pressez le bouton gauche de la souris

Votre requête sera insérée dans le texte et le curseur apparaîtra après le signe euro.

Clips interactifs

Les versions de PSPad postérieures à la 3.61 supportent les clips interactifs. Cela signifie que lors de l'appel d'un clip, un formulaire s'affiche, vous le remplissez, et son contenu est inséré dans le fichier édité. Plus de détails dans le chapitre Clips interactifs.

Noms des fichiers de clips:

•

Assembl.def

•

Bat.def (fichier batch MS-Dos)

•

Basic.def

•

CPP.def (C++)

•

CSS.def (cascaded style sheets)

•

FoxPro.def

•

HTML.def

•

INI.def (fichier INI)

•

Java.def

•

JScript.def (scripts JAVA)

•

VBScript.def (scripts Visual Basic)

•

Pascal.def

•

Perl.def

•

PHP.def

•

Les clips SQL dépendent du dialecte SQL

SQL.def SQL ANSI standard

Interbase.def

MSSQL.def

MySQL.def

Oracle.def

SyBase.def

Ingres.def

•

Python.def

•

ISetup.def (INNO setup)

•

XML.def

•

....


Clips interactifs

Clips interactifs

Lisez d'abord le chapitre sur les clips.

Que sont les clips ?

Les clips insèrent du texte, défini dans le corps du clip, à la position du curseur. Vous pouvez avoir besoin d'éditer le texte inséré. Grâce aux clips interactifs, vous pouvez modifier le texte avant l'insertion. Vous pouvez le faire avec des contrôles tels que zones de texte, zones combinées et cases à cocher.

Comment cela marche-t-il ?

La base des clips interactifs est la définition du contrôle dans la section [Macro definition] (à conserver au début du clip). Dans cette partie se trouvent les définitions communes (et les variables utilisateurs) pour tous les clips du fichier de définition des clips.

Pourquoi sont-ils définis au début du fichier et non à l'intérieur de chaque clip? Simple. Beaucoup de clips utilisent des éléments communs. Ainsi, avec des définitions communes au début, le fichier de définition est aussi compact que possible. Autre raison: si vous modifiez une définition, elle est changée pour tous les clips qui l'utilisent.

Utilisation du contrôle multiple:

Vous êtes autorisé à utiliser plusieurs fois le même nom de contrôle dans le corps d'un clip. Le contrôle apparaît ainsi une seule fois dans le dialogue, mais la valeur introduite est insérée à chaque occurence de contrôle dans le corps du clip (voir le dernier exemple).

Format

%control%=@x caption,text,default,options,delimiter,dialog_type

%control% - nom utilisé dans le corps du clip. Uniquement des caractères et des nombres sans espaces.

@x - type de contrôle (@E pour edit, @C pour combo, ... voir la suite)

caption - texte dans une boîte de dialogue avant le contrôle

text - texte qui sera inséré dans le clip avant la valeur (optionnel)

default - valeur par défaut (optionnel)

options - dépend du contrôle utilisé (optionnel) (voir la suite)

delimiter - caractère(s) qui sera (seront) inséré(s) autour de la valeur (optionnel)

dialog_type - utile uniquement pour ouvrir une boîte de dialogue (optionnel)

A (chemin absolu) ou R (chemin relatif) et slash type

Vous n'êtes pas obligé d'écrire les parties optionnelles. Ajoutez simplement le nombre exact de virgules de délimitation à partir du début. Pour les caractères spéciaux ou valeurs avec des espaces, écrivez entre des guillemets (voir l'exemple 3).

Types de définition de contrôle:

Edition

Zone d'édition de texte pour placer des valeurs générales.

%edit1%=@E Page number:,Page ,,,-

Résultat: Page -12-

%edit2%=@E Author name

Résultat: Jan Fiala

Zone combinée

Les paramètres des listes sont définis en tant qu'options et délimités par ;. Les chaînes contenant des caractères spéciaux, des espaces, .. doivent être délimités par des guillemets.

%combo1%=@C Centering type:,CENTER=,left,left;right;center,"

%RGB%=@C RGB color:,RGB=,,"255,255,255";"#FFFFFF";"FF;FF;FF";"FF FF FF","

Résultat: CENTER="left"

FontBox

Zone combinée avec la liste des polices installées.

%fonts%=@F Font face:,font-face=,,,"

Résultat: font-face="Arial"

Date dialog

%date%=@D Date:,DATE=,,,"

Résultat: DATE="12.2.2002"

Case à cocher

Case à cocher simple. Si elle est sélectionnée, la valeur est insérée dans le clip. S'il y a quelque chose dans default (la valeur par défaut), la case à cocher sera initialisée.

%check%=@K No shade,NoShade

Résultat: NoShade

%check%=@K Remember,REMEMBER,,,!!!

Résultat: !!!REMEMBER!!!

Boîte de dialogue pour l'ouverture d'un fichier

Vous pouvez spécifier le filtre dans options.

Si dialog_type est vide, les prochaines règles sont valides:

en HTML, un chemin relatif est défini avec des barres obliques (slashes);

en non-HTML, ce sera un chemin absolu avec des barres obliques inverses (backslashes).

%file%=@O Reference:,HREF=,,Html files (*.htm;*.html)|*.htm;*.html,"

Résultat: HREF="project/files/soubor.htm"

%file%=@O File:,,,PAS files (*.pas)|*.pas,',A\

Résultat: 'c:\temp\soubor.pas'

%file%=@O File:,,,C files (*.c)|*.pas,,R\\

Résultat: project\\source\\soubor.c

Boîte de dialogue pour l'ouverture d'une image

Voir Boîte de dialogue pour l'ouverture d'un fichier. La prévisualisation de l'image est inclue. Si le clip contients les paramètres width et height, les dimensions de l'image sont insérées.

%pict%=@P Picture:,SOURCE=,,,"

Résultat: SOURCE="files\image.png"

Sélection du répertoire

Voir Boîte de dialogue pour l'ouverture d'un fichier.

%pict%=@S Change directory:,Change directory:,,,,A\

Résultat: Changement de répertoire:c:\program files\nouveau répertoire

Editer avec le bouton d'édition de TopStyle

Manière standard de transmettre avec un bouton des valeurs à l'éditeur de CSS.

%style%=@T Style,Style=,,,"

Boîte de dialogue pour la sélection d'une couleur

%color%=@L Select color:,background:,,,"

Résultat: background="#438814"

Utilisation dans des clips

Exemple 1:

[Macro definition]

%file%=@O Reference:,HREF=,,Html files (*.htm;*.html)|*.htm;*.html,"

...

[ahref | simple reference <a href=...>...</a>]

<a %file%>|</a>

Après le lancement du clip apparaît une boîte de dialogue pour ouvrir un fichier. On ajoutera dans le texte:

<a HREF="fichier choisi.htm"></a>

et le curseur se positionnera sur le caractère "|".

Exemple 2:

[Macro definition]

%proc%=@E Procedure name:

%autor%=@E Author name:

...

[proc | procedure base]

// Procédure: %proc%

// Auteur: %autor%

procedure %proc%;

begin

|

end; {procedure %proc%}

Lorsque le clip sera lancé, vous verrez une fenêtre avec deux commandes pour introduire la procédure et le nom de l'auteur. Résultat:

// Procédure: ShowDialog

// Auteur: Jan Fiala

procedure ShowDialog;

begin

end; {procedure ShowDialog}

Exemple 3:

[Macro definition]

%Number%=@E," ,",,,

[number | number with comma]

%number%

Après des appels répétés au clip, une série de nombres et de virgules seront insérés:

,123, 456, 12, 5


Menu Fichier

Menu - Fichiers

new Nouveau... Ctrl+N

Créé un nouveau fichier. Le type du nouveau document dépend du fichier actif. Si vous travaillez avec un fichier .PAS et simplement cliquez sur l'icône Nouveau fichier, le nouveau fichier aura l'extension .PAS.

Si l'éditeur est vide, le type du nouveau fichier dépendra des paramètres définis dans Options / Options du programme / Editeur / Type nouveau fichier.

fileopen Ouvrir... Ctrl+O

Ouvre le fichier sélectionné en texte.

Ouvrir dans l'éditeur hexadécimal Shift+Ctrl+O

Uuvre le fichier sélectionné directement dans l'éditeur hexadécimal. Vous pouvez ouvrir n'importe quel type de fichier dans l'éditeur hexadécimal, même des binaires.

Attention: vous pouvez rendre inutilisable un programme .EXE ou .DLL avec seulement un mauvais caractère si vous ne savet pas ce que vous faites!

Ouvrir spécialement / Fichiers récents

Ouvrir à nouveau Ctrl+R

Ouvre à nouveau le fichier actif, sans les changements effectués dessus et non enregistrés.

Ouvrir une copie

Ouvre une nouvelle copie du fichier actif en lecture seule. Vous ne pouvez l'éditer. Le titre dans l'onglet est en Italics.

Ouvrir le fichier actif sous un autre nom Ctrl+D

Ouvre à nouveau le fichier actif sous un autre nom. Cela combine les fonctions "Enregistrer sous" et "Ouvrir".

Ouvrir un fichier sur internet

Ouvre un fichier spécifié par une adresse URL directement d'internet (http://....). Vous pouvez également ouvrir un fichier d'internet dans une session FTP active en utilisant "Editer directement dans PSPad" ou "Ouvrir en tant que texte".

Fermer Ctrl+F4..

Fermer tout

Ferme tous les fichiers, projet inclu.

Compiler Ctrl+F9

Autorisé uniquement si un compilateur est défini dans Options de la coloration syntaxique ou Options du projet.

Ouvrir avec

Vous pouvez ouvrir le fichier actif dans une application externe. Les programmes sont définis individuellement dans les Options de la coloration syntaxique pour chaque environnement.

save Enregistrer Ctrl+S

Enregistrer sous... F12

Enregistrer le fichier sous un nouveau nom.

Déplacer dans...

Enregistre le fichier dans un nouvel emplacement en supprimant l'ancien.

saveall Enregistrer tout Shift+Ctrl+S

Enregistre tous les fichiers modifiés. S'il y a un nouveau fichier, il vous sera demandé son nom et son chemin.

Enregistrer en FTP

Enregistre le fichiert actif dans la connexion FTP ouverte.

Enregistre le bloc en tant que...

Enregistre le texte sélectionné dans un fichier.

Exporter

sendtodisk Enregistrer sur le lecteur A:

mail4 En tant que contenu d'un e-mail

mail5 En tant qu'attaché d'un e-mail

Exporter...

Exporte le fichier au format RTF, HTML ou TeX en conservant la coloration syntaxique

Exporter dans le presse-papiers en RTF

Exporter dans le presse-papiers en HTML

Exporter dans le presse-papiers en XHTML

Exporter dans le presse-papiers en TeX

Exporte le texte complet ou le bloc sélectionné dans le presse-papiers en conservant la coloration syntaxique.

Propriétés

Affiche les statistiques du fichier (mots, lignes et caractères comptés).

ro Lecture seule

Vous permet de vérouiller le document et prévenir ainsi toute modification. Cette fonction est indépendante des atributs du fichier. Ce mode Lecture seule est actif uniquement dans l'éditeur.

print Imprimer Ctrl+P

preview Aperçu avant impression Alt+P

Mise en page...

Vous pouvez spécifier l'aspect de la page imprimée (bordures, ...)

setting print Paramètres d'impression..

Quitter Alt+F4


Menu Projets

Menu - Projects

Projets

Permet de gérer un projet complet. L'état du projet est restauré à son ouverture.

projnew Nouveau Projet...

Créé un nouveau projet. Vous pouvez également l'utiliser pour fermer le projet.

Créer projet d'un répertoire...

Créé un projet à partir du contenu complet du répertoire spécifié.

projopen Ouvrir projet...

Ouvre un projet existant et en restaure l'état.

projsave Enregistrer projet

Sauvegarde le projet en cours.

Ouvrir fichiers du dossier

Fermer fichiers du dossier

Ouvre ou ferme les fichiers contenus dans la fenêtre projet.

projfilemain Définir comme fichier principal Ctrl+M

Si un fichier est marqué "principal", il est toujours envoyé à l'application externe ou au compilateur. Sinon, c'est le fichier actif qui est envoyé. Marquer un fichier en tant que "principal" permet de le voir plus facilement dans la liste des onglets.

Informations sur le projet

Affiche les fichiers du projet, leur nombre de lignes et leur chemin.

settings Options du projet...

Vous pouvez définir les propriétés du projet. Les options du projet sont prioritaires par rapport aux options de la coloration syntaxique des applications externes et du compilateur.


Menu Edition

Menu - Edition

undo Annuler Ctrl+Z

redo Rétablir Shift+Ctrl+Z

cut Couper Ctrl+X

copy Copier Ctrl+C

paste Coller Ctrl+V

Spécial

Coller en tant que HTML

Après avoir sélectionné un texte formaté d'un logiciel MS tel que IE ou Word, vous pouvez le coller dans un document avec tous ses codes HTML (codes propriétaires MS inclus...).

Coller sans déplacer le curseur Shift+Ctrl+V

Laisse le curseur devant le texte collé (il est placé après lors d'un coller standard).

insertfromfile Insérer un fichier...

Insert le contenu d'un fichier à la position du curseur.

delete Effacer Del

Traitement des lignes

Copier ligne

La ligne courante est copiée dans la mémoire tampon.

Permuter avec la ligne au-dessous

La ligne courante est permutée avec celle d'en dessous.

Insérer du texte aux lignes... Alt+I

Un texte, une numérotation ou des puces sont insérés sur chaque ligne ou sur le bloc sélectionné.

Supprimer les citations

Les caractère '>' placés au début des lignes du bloc sélectionné (utilisés pour citer le texte des e-mails) sont supprimés.

Supprimer les espaces redondants

Cette fonction vous aide à supprimer les espaces inutiles au début ou à la fin des lignes, ou à l'intérieur du texte. Il ne restera qu'un seul caractère d'espacement entre les mots.

Supprimer les lignes blanches

Les lignes blanches du texte complet ou du bloc sélectionné sont supprimées.

Supprimer les lignes blanches redondantes

Les lignes blanches redondantes du texte complet ou du bloc sélectionné sont supprimées. L'expression "redondant" signifie plus d'une ligne blanche.

Supprimer les signes diacritiques

Fonction spécifique aux utilisateurs tchèques et slovaques.

Ajouter les signes diacritiques

Fonction spécifique aux utilisateurs tchèques et slovaques.

Convertir les tabulations en espaces

Conversion des caractères de tabulation (09h) en nombre d'espaces correspondant.

Insérer date et heure Alt+D

Insert la date et l'heure paramétrée dans la boîte de dialogue Date et heure.

Date et heure...

Ouvre la boîte de dialogue pour insérer la date et l'heure. Vous pouvez spécifier et modifier les formats de la date et de l'heure. Le dernier format paramétré est celui inséré avec la fonction "Insérer date et heure" (Alt+D).

Tout sélectionner Ctrl+A

Sélectionne tout le texte et défini le type de sélection normale.

Sélectionner entre parenthèses Shift+Ctrl+M

Sélectionne le text entouré par n'importe quelle sorte de parenthèses (<{ [ ] } >).

Sélectionner chaîne Shift+Ctrl+é

Sélectionne une chaîne de caractères, guillemets inclus. L'utilisation alternative Ctrl+é sélectionne une chaîne de caractères sans les guillemets.

Sélectionner Tag Shift+Ctrl+T

Sélectionne le texte complet d'un tag HTML. Condition: le curseur doit se trouver sur le tag ouvrant.

sort Trier...

Trie les lignes dans le sens Croissant ou Décroissant.

Supprimer les doublons - Les lignes à double sont supprimées après le tri.

Sensible à la casse - La ligne débutant par une minuscule est placée avant celle débutant par le même caractère en majuscule.

Trier par:

•

valeur ANSI - tri d'après les règles orthographiques

•

valeur ASCII - tri d'après la valeur ASCII des caractères

•

valeur numérique - converti le texte en nombre et le trie comme des nombres

Tri avancé - possible si vous définissez les colonne de tri.

Type de sélection

Détermine le type du bloc pour une sélection (Shift+curseurs)

Par défaut, la souris sélectionne toujours un bloc normal. Avec la touche Alt, la souris sélectionne un bloc en mode colonne. Cette fonction peut être activée ou désactivée dans les options du programme.

NOTE: le bloc en colonne est désactivé si la coupure de lignes est active.

Lorsque la coupure de lignes est activée, le bloc est sélectionné en mode normal.

Le style du bloc est indiqué par une icone dans la barre des statuts (s'affiche comme une page blanche). Cliquez ou double-cliquez sur l'icône des la barre des statuts pour changer de type de bloc.

Sélection normale Shift+Ctrl+N

Sélection standard.

Sélection de colonne Shift+Ctrl+C

Vous pouvez sélctionner une colonne de texte, la couper et la coller. En mode colonne, vous pouvez même utiliser Chercher/Remplacer et d'autres fonctions du programme.

Sélection de ligne Shift+Ctrl+L

Sélectionne toujours les lignes complètes.

Exercices de manipulations de bloc.

Sélection au clavier

1.

Ouvrez un document texte qui possède de longues lignes, et activez la coupure de lignes.

2.

Placez le curseur sur le 5e caractère de la 3e ligne.

3.

Shift+Down quelques ligne (touche Shift + flèche du bas). Le mode Sélection normale est activé.

4.

Désactivez la coupure de lignes.

5.

Appuyez sur Shift+Ctrl+C.

6.

Essayez à nouveau d'utiliser les touches Shift+Down et Shift+Right. Le mode Sélection de colonne est activé.

7.

Pressez Shift+Ctrl+L pour essayer le mode Sélection de ligne.

8.

Placez le curseur au milieu d'une ligne et utilisez les touches Shift+Down sur quelques lignes, afin de vérifier que le mode Sélection de colonne est bien actif.

9.

Si vous le souhaitez, vous pouvez revenir dans le mode Sélection normale en pressant Shift+Ctrl+N.

Sélection avec la souris

1.

Essayez de sélectionner du texte en déplaçant votre souris tout en maintenant le bouton gauche pressé. La sélection est en mode normal.

2.

Maintenant, maintenez appuiée la touche Alt et déplacez la souris du milieu d'une ligne en direction du bas. La sélection est en mode colonne.

3.

Réactivez la coupure de lignes et essayez à nouveau. Vous pouvez sélectionner uniquement en mode normal lorsque la coupure de lignes est activée. Souvenez-vous qu'il n'y a pas de sélection en mode colonne lorsque la coupure de lignes est activée.

Note: Les réglages des raccourcis-clavier n'ont aucun effet lors de la sélection avec la souris.


Rechercher/Remplacer dans Fichiers

Rechercher/Remplacer dans fichiers...

Paramètres de recherche

Etendue de la recherche:

•

Fichiers du projet

•

Fichiers ouverts

•

Répertoire sélectionné. Les recherches peuvent spécifier certains types de fichier (optionnel) et inclure les sous-répertoires (optionnel).

Texte recherché

•

Texte recherché:

•

Remplacer par - si la case n'est pas cochée, seule une recherche est effectuée. Par sécurité, la case est décochée après chaque action.

•

Texte de remplacement - chaque occurrence du texte recherché sera remplacé par ce texte.

•

Mot entier seulement

•

Sensible à la casse

•

Confirmer chaque remplacement (utilisez cette fonction!)

Fonctionnement

Après l'introduction des paramètres, une liste de fichiers est créée et ces fichiers sont traités l'un après l'autre. En pressant Annuler, le traitement est annulé.

Résultats de la recherche

Les résultats de la recherche sont affichés dans l'onglets Rechercher les résultats dans les fichiers de la fenêtre du LOG. En double-cliquant, vous pouvez ouvrir le fichier; le curseur se positionne à la ligne spécifique. Vous pouvez ainsi corriger les remplacements non souhaités.

Note:

•

La recherche dans des fichiers fonctionne uniquement avec des fichiers sur un disque. Pour cette raison, je vous recommande d'enregistrer tous les fichiers ouverts avant de chercher / remplacer s'ils font parties des fichiers traités.

•

Contrôlez plutôt deux fois qu'une les paramètres avant de lancer un remplacement! Les changements ne peuvent être annulés!

•

Il n'y a pas d'option pour les expressions régulières dans Rechercher/Remplacer dans fichiers.


Menu Rechercher

Menu - Rechercher

find Rechercher... Ctrl+F

replace Remplacer... Ctrl+H

findnext Rechercher le suivant F3

findprev Rechercher le précédent Shift+F3

Prochaine occurence du mot courant Shift+Ctrl+DOWN

Précédente occurence du mot courant Shift+Ctrl+UP

Recherche la prochaine / précédante occurence du mot situé sous le curseur. La première utilisation sélectionne le mot, la prochaine recherche l'occurence du texte sélectionné. Vous pouvez ainsi sélectionner et rechercher manuellement.

findincrement Recherche incrémentale Ctrl+E

Recherche immédiatement ce que vous écrivez. Après l'appel de cette fonction, un champ d'édition (avec un fond jaune) apparaît dans la barre des statuts. Ce que vous écrivez est immédiatement recherché dans l'éditeur de la position du curseur à la fin du fichier, et la première occurence trouvée est mise en évidence.

Aller à la ligne Alt+G

Il est possible de se rendre à la ligne et la colonne spécifiée, ou à une position absolue du fichier. La boîte de dialogue affiche la position actuelle du curseur. La valeur Position est prépondérante par rapport aux N° de ligne et de colonne.

Parenthèse/accolade/crochet complémentaire Ctrl+M

Recherche la parenthèse, l'accolade ou le crochet complémentaire. Avant la recherche, placez le curseur juste devant ou derrière le crochet, l'accolade ou le crochet.

filesearch Rechercher/Remplacer dans fichiers... Alt+F

Vous pouvez effectuer des recherches et des remplacements dans des fichiers. Plus d'informations dans le chapitre Rechercher/Remplacer dans fichiers.

G Rechercher avec Google...

Boîte de dialogue pour lancer une recherche simple ou avancée avec le moteur de recherche Google. Ouvre le navigateur par défaut pour afficher les résultats.

Créer signet Ctrl+Shift+0..9

Place un signet à la ligne où se trouve le curseur.

Alt-Flèche gauche permet de créer un signet, Alt-Flèche droit de supprimer le signet placé sur la même ligne.

gotobookmark Aller au signet Ctrl+0..9

Déplace le curseur sur le signet existant.

Alt-Flèche haut ou Alt-Flèche bas permet de se rendre au signet placé plus haut ou plus bas dans le fichier.


Expressions régulieres

Expressions réguličres

Expressions régulières

Introduction

Les Expressions Régulières sont très utilisées pour spécifier des type de recherches pour le texte. Les métacaractères spéciaux vous permettent de spécifier, par exemple, qu'une chaîne particulière que vous recherchez se trouve au début ou à la fin d'une ligne, ou contient n récurrences d'un certain caractère.

Les expressions régulières ressemblent vraiment à du charabia pour les débutants, mais elles sont réellement simples (normalement...), et sont un outil pratique et puissant.

Comparaisons simple

Un caractère simple se compare à lui-même, sauf s'il est un métacaractère avec une spécification spéciale décrite plus bas.

Une série de caractères se compare à la même série de caractères dans la chaîne de destination; ainsi le gabarit "bluh" se compare à "bluh'' dans la chaîne de destination. Relativement simple, n'est-ce pas ?

Vous pouvez obliger les métacaractères ou les Séquences d'échappements à être interprétés littéralement avec un 'échappement' en les précédant avec une barre oblique inverse "\". Exemple: le métacaractère "^" se compare normalement au début de ligne, mais "\^" se compare au caractère "^", "\\" se compare à "\" et ainsi de suite.

Exemples:

foobar se compare à la chaîne 'foobar'

\^FooBarPtr se compare à '^FooBarPtr'

Séquences d'échappement

Des caractères peuvent être spécifiés en utilisant la syntaxe des séquences d'échappement utilisée en C et en Perl: "\n" signifie une nouvelle ligne, "\t" une tabulation, etc. Plus généralement, la séquence "\xnn", dans laquelle 'nn' est une chaîne de chiffres hexadécimaux, correspond au caractère dont la valeur ASCII est nn. Si vous avez besoin d'un code de caractères étendus (Unicode), vous pouvez utiliser la séquence "\x{nnnn}", dans laquelle 'nnnn' correspond à un ou plusieurs nombres hexadécimaux (1,2,3,4,5,6,7,8,9,A,B,C,D,E,F). Les lettres des nombres hexadécimaux peuvent être en majuscules ou minuscules.

\xnn caractère avec code hexadécimal nn

\x{nnnn} caractère avec code hexadécimal nnnn (un octet pour le texte ordinaire et deux octets pour l' Unicode)

\t tab (HT/TAB), identique à \x09

\n nouvelle ligne (NL), identique à \x0a

\r retour chariot (CR), identique à \x0d

\f page suivante (FF), identique à \x0c

\a alarme (signal sonore) (BEL), identique à \x07

\e échappement (ESC), identique à \x1b

Exemples:

foo\x20bar se compare à 'foo bar' (noter l'espace au milieu)

\tfoobar se compare à 'foobar' précédé d'une tabulation

Classes de caractères

Vous pouvez définir une classe de caractères en en insérant une liste de caractères dans des crochets []); les caractères recherchés correspondront à ceux de la liste.

Si le premier caractère après '[' est '^', la classe se comporte comme une négation en comparant tous les caractères qui ne sont pas dans la liste.

Exemples:

foob[aeiou]r trouve les chaînes 'foobar', 'foober' etc. mais pas 'foobbr', 'foobcr' etc.

foob[^aeiou]r trouve les chaînes 'foobbr', 'foobcr' etc. mais pas 'foobar', 'foober' etc.

Dans une liste, le caractère "-'' est utilisé pour spécifier une distance (range), aussi a-z représente tous les caractères entre ''a'' et "z'', inclusivement.

Si vous souhaitez que "-" lui-même soit membre de la liste, insérez-le au début ou à la fin de la liste, ou faites-le précéder d'une barre oblique inverse (backslash); même chose pour ']'.

Exemples:

[-az] se compare à 'a', 'z' et '-'

[az-] se compare à 'a', 'z' et '-'

[a\-z] se compare à 'a', 'z' et '-'

[a-z] se compare aux vingt-six lettres minuscules entre 'a' et 'z'

[\n-\x0D] se compare aux caractères ASCII #10(Lf),#11,#12(Ff),#13(Cr).

[\d-t] se compare à n'importe quel chiffre, '-' ou 't'.

[]-a] se compare à n'importe quel caractère entre']' et 'a'.

Métacaractères

Ces caractères spéciaux sont l'essence des expressions régulières. Il y a différents types de métacaractères, décrits ci-dessous.

Métacaractères - Séparateurs de ligne

^ début d'une ligne

$ fin d'une ligne

\A début du texte

\Z fin du texte

. n'importe quel caractère dans une ligne

Exemples:

^foobar se compare à la chaîne 'foobar' uniquement si elle se trouve en début de ligne

foobar$ se compare à la chaîne 'foobar' uniquement si elle se trouve en fin de ligne

^foobar$ se compare à la chaîne 'foobar' si elle est seule sur une ligne

foob.r se compare à une chaîne comme 'foobar', 'foobbr', 'foob1r', etc.

Le métacaractère par défaut "^" garantit de trouver le mot seulement s'il est au début de la chaîne ou du texte, et le métacaractère "$" seulement à la fin. Les séparateurs de ligne inclus dans le texte ne sont pas considérés comme valable par "^'' ou "$'', donc la condition est fausse et la recherche n'est pas valide.

Toutefois, vous pouvez traiter une chaîne comme une chaîne de plusieurs ligne de texte; de cette façon, "^'' sera valable après le séparateur de ligne et "$'' sera valable avant un séparateur de ligne. Vous pouvez faire ceci avec le modificateur /m.

Les métacaractères \A et \Z sont identiques à "^" et "$", excepté qu'ils ne fonctionnent qu'une seule fois pour tout le texte lorsque le modificateur /m est utilisé, alors que "^" et "$" rechercheront à chaque séparateur de ligne.

Métacaractères - Classes prédéfinies

\w caractères alphanumériques (incluant "_")

\W caractères non alphanumériques

\d caractères numériques

\D caractères non numériques

\s n'importe quel espace (identique à [ \t\n\r\f])

\S tout ce qui n'est pas un espace

Vous pouvez utiliser \w, \d et \s à l'intérieur de la classe de caractères.

Exemples:

foob\dr trouve les chaînes telles que 'foob1r' ou ''foob6r', mais pas 'foobar' ou 'foobbr'.

foob[\w\s]r trouve les chaînes telles que 'foobar', 'foob r' ou 'foobbr', mais pas 'foob1r' ou 'foob=r'.

Métacaractères - Limites de mot

\b reconnaît la limite d'un mot

\B reconnaît autre chose qu'une limite de mot

Une limite de mot (\b) est définie comme le point entre deux caractères qui sont d'un côtè un \w et de l'autre un \W (dans n'importe quel ordre). Le début et la fin de la chaîne correspondent à des cractères imaginaires de type \W.

Métacaractères - Itérateurs

N'importe quel article d'une expression régulière peut être suivi par un autre type de de métacaractères - les itérateurs. En utilisant ces métacaractères, vous pouvez définir le nombre d'occurences du caractère précédent, du métacaractère ou de la sous-expression.

* zéro ou plus ("gourmand"), similaire à {0,}

+ un ou plus ("gourmand"), similaire à {1,}

? zéro ou un ("gourmand"), similaire à {0,1}

{n} exactement n fois ("gourmand")

{n,} au moins n fois ("gourmand")

{n,m} au moins n fois mais pas plus de m fois ("gourmand")

*? zéro ou plus ("non-gourmand"), similaire à {0,}?

+? un ou plus ("non-gourmand"), similaire à {1,}?

?? zéro ou plus ("non-gourmand"), similaire à {0,1}?

{n}? exactement n fois ("non-gourmand")

{n,}? au moins n fois ("non-gourmand")

{n,m}? au moins n fois mais pas plus de m fois ("non-gourmand")

Ainsi, les nombres contenus entre les accolades {n,m} spécifie le nombre minimum avec la lettre n et le nombre maximum avec la lettre m. La forme {n} est équivalente à {n,n} et correspond exactement à n fois. La forme {n,} signifie n fois ou plus. Il n'y a pas de limites pour n ou m, mais des nombres élevés consommeront beaucoup de mémoire et ralentiront le traitement de l'expression régulière.

Si une accolade est utilisée dans un autre contexte, elle est traitée comme un caractère régulier.

Exemples:

foob.*r se compare à des chaînes comme 'foobar', 'foobalkjdflkj9r' ou 'foobr'

foob.+r se compare à des chaînes comme 'foobar', 'foobalkjdflkj9r' mais pas 'foobr'

foob.?r se compare à des chaînes comme 'foobar', 'foobbr' and 'foobr' mais pas 'foobalkj9r'

fooba{2}r se compare à la chaîne 'foobaar'

fooba{2,}r se compare à des chaînes comme 'foobaar', 'foobaaar', 'foobaaaar' etc.

fooba{2,3}r se compare à des chaînes comme 'foobaar', or 'foobaaar' mais pas 'foobaaaar'

Petite explication à propos des termes "gourmand" et "non-gourmand": "Gourmand" prend autant que possible, "non-gourmand" aussi peu que possible. Par exemple, 'b+' et 'b*' appliqués à la chaîne 'abbbbc' retournent 'bbbb', 'b+?' retourne 'b', 'b*?' retourne une chaîne vide, 'b{2,3}?' retourne 'bb', 'b{2,3}' retourne 'bbb'.

Métacaractères - Alternatifs

Vous pouvez définir des alternatifs pour le modèle en utilisant "|" pour les délimiter; ainsi fee|fie|foe correspondra à "fee", "fie" ou "foe" dans la chaîne de destination (comme le ferait f(e|i|o)e). La première alternative inclut tout du délimiteur précédent ("('', "['', ou le début du modèle) jusqu'au premier "|", et la dernière alternative contient tout du dernier "|" jusqu'au prochain délimiteur. Pour cette raison, la pratique courante est d'inclure les alternatives dans des parenthèses afin d'éviter des confusions sur leur début et fin.

Les alternatifs sont évalués de gauche à droite, la première alternative trouvée pour la correspondance est celle choisie. Cela signifie que les alternatives ne sont pas nécessairement gourmandes. Exemple: lorsque vous faites correspondre foo|foot à "Barefoot", seule la partie "foo" sera prise en compte en tant que première alternative essayée correspondant à la chaîne cible (cela peut ne pas sembler important, mais ceci le devient lorsque vous capturez du texte correspondant en utilisant les parenthèses).

Souvenez-vous également que "|" est interprété littéralement à l'intérieur de crochets; si vous écrivez [fee|fie|foe], vous ne trouverez que [feio|].

Exemples:

foo(bar|foo) trouve les chaînes 'foobar' ou 'foofoo'.

Métacaractères - Sous-expressions

Les parenthèses ( ... ) peuvent également être utilisées pour construire des sous-expressions (après l'analyse, vous pouvez trouver les positions des sous-expressions, longueurs et valeurs actuelles, et les remplacer dans les chaînes d'un clip).

Les sous-expressions sont numérotées de gauche à droite selon les ouvertures des parenthèses. La première sous-expression a le numéro "1" (l'expression régulière compléte a le numéro '0' - que vous pouvez substituer par '$0' ou '$&').

Exemples:

(foobar){8,10} se compare à des chaînes qui contiennent 8, 9 ou 10 instances de 'foobar'

foob([0-9]|a+)r se compare à 'foob0r', 'foob1r' , 'foobar', 'foobaar', 'foobaar' etc.

(abc(def)ghi(123))xzy se compare à abcdefghi123xyz (l'unique correspondance),

Ensuite les références arrières: \1 = abcdefghi123, \2=def, \3=123, \0=abcdefghi123xyz (la correspondance complète)

Nous pourrions trouver les mêmes chaînes en utilisant les itérateurs de métacaractères avec:

(\w{3}([d-f]{3})...(\d*))xyz et les références arrière auraient les mêmes valeurs. Et les modèles correspondraient aussi à '123fdd@#$4444xyz', 'bbbeeeabc1234567xyz', 'ddddddaaaxyz'.

Métacaractères - Références précédentes

Les métacaractères \1 à \9 sont interprétés comme références précédentes dans la boîte de texte Chercher. Utilisés hors des expressions régulières, tels dans le champ Remplacer, les métacaractères $1 à $9 sont interprétés comme des références arrières lors de la dernière recherche.

\<n> compare la sous-expression #<n> précédente trouvée.

Exemples de recherches:

(.)\1+ trouve 'aaaa' et 'cc'.

(.+)\1+ se compare aussi à 'abab' et '123123'

(['"]?)(\d+)\1 trouve '"13" (entre guillemets), ou '4' (entre apostrophes) ou 77 (sans marques de citations), etc.

Exemples de remplacements:

Modification de format de la date de dd.mm.yyyy à yyyy-mm-dd. Cela changera le style de date européen 26.8.1994 ou 26/8/1994 en 1994-8-26.

Rechercher: ([0-9]{1,2}).([0-9]{1,2}).([0-9]{4})

Remplacer: $3-$2-$1

CONSEIL: Assurez-vous d'avoir coché l'option "Expressions régulières". Et toujours cocher "Confirmer les remplacements" pour éviter des remplacements accidentels. Assurez-vous également d'avoir cliqué sur "Liste" ou "Compté(s)" avant d'effectuer le remplacement; vous vous assurerez ainsi de remplacer toutes les chaînes que vous souhaitiez.

Les explications utilisées pour les expressions régulières sont dues à Andrey V. Sorokin (http://anso.virtualave.net)

Note: Tous les éditeurs de texte sérieux se doivent d'inclure les expressions régulières, car les programmeurs en sont friands. - Apprenez à les utiliser à bon escient. - Etudiez ce chapitre et d'autres tutoriaux. - Steve


Menu Affichage

Menu - Affichage

Barres d'outils

affiche/masque les panneaux.

projectshow Structure du projet Ctrl+F2

affiche/masque la structure du projet.

Vérification automatique

lit le dictionnaire et souligne tous les mots qui n'y sont pas inclus. Le premier appel à cette fonction peut prendre un peu de temps.

Ligne active

met la ligne active en surbrillance. La couleur est définie dans Options du programme... | Couleurs.

syntaxe Coloration syntaxique

active/désactive la coloration syntaxique.

linenum Numéros de ligne

affiche/masque la goutière avec les numéros de ligne.

wordwrap Coupure de lignes

active/désactive la coupure de ligne. Désactivée si la case de la fonction Supprimer espaces en fin de lignes est cochée (Options du programme... | Editeur).

specchars Caractères spéciaux

lorsque cette fonction est activée, les espaces, tabulations, retours de ligne et autres caractères spéciaux sont affichés.

ruller Règle

affiche/masque la règle située au-dessus de la zone d'édition.

hexdump Editeur hexadécimal

active/désactive l'affichage du document ouvert en hexadécimal.

[ ] Afficher les caractères OEM

Toujours visible

PSPad restera toujours devant tous les autres programmes.

[ ] Offset hexadécimal

toggle

syntx Changer la coloration syntaxique...

modifie la coloration syntaxique du document actif. Pour un nouveau fichier pas encore enregistré, la fonction change le type de fichier (extension).


Menu Format

Menu - Format

font Police...

Modifie la police de l'éditeur courant ou de l'éditeur hexadécimal (indépendamment l'un de l'autre). Vous ne pouvez définir la police courante avec des attributs gras ou italique, car cela provoquerait un conflit avec la coloration syntaxique, qui utilise ces attributs.

Changer la casse

lower Tout en majuscule Ctrl+Alt+U

upper Tout en minuscule Ctrl+Alt+L

capitalize Capitaliser Ctrl+Alt+T

Inverser la casse

Change la casse des caractères du bloc sélectionné ou du document entier, si aucune sélection n'est faite.

Format du bloc

formatting increase indent Augmenter le retrait Shift+Ctrl+I

formatting decrease indent Diminuer le retrait Shift+Ctrl+U

Augmente ou diminue l'indentation du bloc. Cette fonction n'est active que lorsqu'un bloc de lignes est sélectionné.

Reformater le texte (paragraphe=ligne blanche) Ctrl+K

Reformater le texte (paragraphe=ligne courte) Shift+Ctrl+K

Autorisé uniquement lorsque la coupure de ligne est désactivée!

Reformate le texte d'après la ligne de coupure. Après le reformatage, tous les retours de ligne et espaces redondants sont supprimés.

Un bloc sélectionné est reformaté; s'il n'y a pas de sélection, le paragraphe où se trouve le curseur est reformaté.

Une ligne blanche (paragraphe=ligne blanche) ou remplie à moins de la moitié de la ligne de coupure par des caractères (paragraphe=ligne courte) marque la séparation entre les paragraphes.

Exemple: si vous voulez reformater un texte à une largeur de 40 caractères, cliquez sur la règle (sur la position 40) pour positionner la coupure de ligne à cet endroit, et pressez Ctrl+K. Chaque ligne est maintenant large de 40 caractères ou moins.

Centré / aligné à gauche Ctrl+Alt+Left

Le texte entier ou le bloc sélectionné sera centré ou aligné à gauche d'après la coupure de ligne.

Centré / aligné à droite Ctrl+Alt+Right

Le texte entier ou le bloc sélectionné sera centré ou aligné à droite d'après la coupure de ligne.

Justifier le bloc

Toutes les lignes du bloc sélectionné sont étendues à la largeur de la ligne de coupure.

Changer la casse du code...

Vous pouvez changer la casse de certains attributs spécifiques de la coloration syntaxique du code source (mots-clés, commentaires, ...).

Ajouter/supprimer commentaires Shift+Ctrl+A

Ajoute ou supprime le caractère du commentaire (chaîne) au début de chaque ligne, individuellement pour chaque langage. Fonctionne uniquement pour les langages supportant les lignes de commentaires.

Autodétection du code de page

Spécifique aux utilisateurs tchèques et slovaques. Sinon ne fonctionne pas. Ne l'utilisez pas!

ANSI

Code de page natif de Windows. Pas de conversion de CP.

OEM

Jeu de caractères DOS OEM.

Kamenicky

Spécifique aux utilisateurs tchèques et slovaques.

ISO 8895-2

UNICODE

UTF-8

Codes de conversion de page.

Formats de fichier

DOS

UNIX

MAC

Definit les caractères de saut de ligne: DOS - Cr+Lf, UNIX - Lf, MAC - Cr.


Menu Outils

Menu - Outils

Vérification orthographique F7

Lit le dictionnaire (seulement la première fois) et commence la vé rification orthographiquee à partir de la position du curseur.

Auto-complétion Ctrl+J

Fonction très utile. Ecrivez plusieurs caractères et pressez Ctrl+J. Si le vérificateur trouve un seul mot correspondant, il est automatiquement complété; sinon, une liste de mots possibles apparaît. Utilisez les touches Bas & Enter pour sélectionner.

La liste de mots est affichée uniquement lorsque du texte a été écrit dans le document actif.

Macros

makrorecord ou makrostop Démarrer/Stopper enregistrement Ctrl+F5

Gestionnaire de macros

Exécuter

Exécuter x-fois

Vous pouvez sélectionner une macro et spécifier le nombre d'exécutions.

Supprimer

Editer

La liste des commandes des macros est ici. Vous pouvez utiliser un surlignage spécial et des clips lors de l'édition d'une macro.

Annuler

Assigner raccourci (à la macro)

F5, F6, Alt+F6, ou Ctrl+Alt+F6

makroplay Exécuter macro F5

Modèle du bloc Shift+Ctrl+Espace

Assistant pour la création d'un nouveau clip. Sélectionnez un bloc et pressez le raccourci-clavier. Une boîte de dialogue apparaît, vous écrivez le nom du clip, sa description, son raccourci-clavier (optionnel), et le nouveau clip est prêt à l'usage.

Différences de texte

PSPad vous permet de comparer les contenus de deux fichiers texte et affiche les différence en couleur dans une nouvelle fenêtre. Plus de détails dans le chapitre Diffé rences de texte.

Comparer avec fichier...

Comparer avec le contenu du fichier sur le disque

Explorateur de code Shift+Ctrl+E

Fenêtre qui vous aide à vous situer rapidement dans votre code. Essayez avec des fichiers HTML, XML ou C.

Table ASCII... Alt+A

La table ASCII vous permet d'insérer le caractère sélectionné dans le document actif (double-clic). Elle affiche le caractère, ses valeurs décimale, hexadécimale et code HTML. Vous pouvez également imprimer la table ASCII.

paleta Palette des couleurs Alt+C

Affiche un choix de palette de couleurs HTML avec la possibilité d'insérer la couleur sélectionnée dans le texte. Vous pouvez choisir entre la palette des 216 couleurs standard, la palette de 16 couleurs, la palette des niveaux de gris, la palette des couleurs nommées et la boîte de dialogue des couleurs standard de Windows.

colorshow Convertisseur de couleurs.. Ctrl+Alt+C

Convertit une couleur sous n'importe quel format dans les autres formats: HTML, nom, pourcent, RGB. Sélectionnez le texte à convertir avant d'appeler la boîte de dialogue.

eyedropper Pipette

Insère à l'emplacement du curseur la couleur au format HTML du pixel sélectionnée avec la pipette.

paste Gestion du presse-papiers Alt+M

Si cette fonctiion est activée, les manipulations du presse-papiers et leur contenu sont affichés dans une fenêtre spéciale. Dans cette fenêtre, vous pouvez suivre les opérations du presse-papiers, les coller dans le document, les supprimer, ...

Conversions de bases...

Cet outil vous permet de convertir des nombres entre différentes bases du binaire à l'hexadécimal. En bonus, vous pouvez également convertir des nombres romains et des milisecondes en temps.

cmdline Ligne de commande

Ligne frappée contenant les noms des programmes ou commandes DOS à exécuter suivi ou non de quelques paramètres ou options.

Attention: les répertoires ou fichiers de plus de 8 caractères doivent être placés entre guillemets ("...")!

Exemple:

Faux: dir c:\program files

Juste: dir "c:\program files"

Convertisseurs utilisateur...

Avec des fichiers externes, vous pouvez créer vos propres convertisseurs. Les détails sur la créations et la structure de ces fichiers se trouve dans le chapitre Convertisseurs utilisateur.

Calculer le Bloc

Après avoir sélectionné un bloc de nombre (un seul par ligne!), cette fonction affichera: la somme, le minimum, le maximum, la moyenne et le nombre de nombre(s).

systemfiles Editer les fichiers système

Cette fonction ouvre Autoexec, Config, System.INI et Win.INI avec une coloration syntaxique.


Vérification orthographique

Vérification orthographique

PSPad vous permet de contrôler l'orthographe de votre document. La vérification orthographique est indépendante de l'installation de MS Office et autres progiciels. Des dictionnaires sont disponibles sur le site de PSPad.

Comment fonctionne la vérification orthographique ?

Le dictionnaire est chargé lors de sa première utilisation. Soyez patients, cela peut prendre plusieurs secondes. Par la suite, le texte est contrôlé et les mots inconnus soulignés.

Les mots inconnus que que vous ajoutez au dictionnaire sont enregistrés dans le dictionnaire personnel.

Les options de la vérification orthographiques se trouvent dans le menu "Options | Options orthographique...".

La vérification orthographique est possible selon deux modes:

Vérification avec soulignement des mots inconnus (menu Affichage | Vérification automatique ou [image] )

Après activation de la vérification automatique , les mots inconnus sont soulignés. A utiliser pour un contrôle rapide.

Vérification avec correction des mots (menu Outils | Vérification orthographique ou F7)

Le texte est contrôlé à partir du curseur. Les mots inconnus sont affichés dans une boîte de dialogue texte avec une liste de mots suggérés en remplacement. Vous pouvez choisir parmi ces différentes options:

•

Ignorer

•

Ignorer toujours

•

Ajouter au dictionnaire

•

Remplacer

•

Remplacer et ajouter au dictionnaire

Ajouter les signes diacritiques (accents)

Le texte est contrôlé, et un signe diacritique est ajouté à certains mots. Fonction réservée aux utilisateurs tchèques et slovaques.


Convertisseurs utilisateur

Convertisseurs utilisateur

Un convertisseur est utilisé pour automatiser la conversion bidirectionnelle de de caractères ou de chaînes.

Emplacement des fichiers de conversion

Dans le sous-répertoire .\Convert. Les fichiers de définitions des conversions sont de simples fichiers texte stucturés comme les fichiers INI. Dans ce répertoire se trouve le fichier Template.IN_ - a convertor base template. Les convertisseurs peuvent être appelés à partir du menu Outils | Convertisseurs utilisateur...

Syntaxe d'un convertisseur

;point-virgule pour les commentaire - optionnel, est ignoré

;nom de la section en gras - obligatoire

;texte en rouge - texte obligatoire. Must be set.

[Description]

;description du convertisseur - sera affiché dans le menu

ForwardName=UNICODE chars to HTML entity (WML)

BackwardName=HTML entity (WML) to UNICODE chars

;ignorer la casse des caractères. 1 = oui, 0 = non

ForwardIgnoreCase=0

BackWardIgnoreCase=0

;déterminer si la conversion sera traitée avec la table de caractères ou remplacera chaîne de caractères par chaîne de caractères

;CharTab=0 - le convertisseur utilisera les chaînes de caractères de la section [Conversion]

;CharTab=1 - le convertisseur utilisera la table de conversion de la section [Table]

CharTable=0

;section pour le remplacement chaîne par chaîne. Les chaînes de caractères sont délimitées par le caractère | (pipe ou barre)

[Conversion]

Š|&#x0160;

Ś|&#x015A;

Ť|&#x0164;

;liste de caractères supprimés lors de la conversion

[Remove chars]

10

12

;table de conversion des caractères. Les numéros correspondent aux valeurs ASCII des caractères. Introduire uniquement les caractères que vous souhaiter convertir.

[Table]

134=64

135=12

Conversion avec une table de caractères ou remplacement de chaînes de caractères ?

Cela dépend du genre de conversion. Si vous souhaitez convertir le code de page ou remplacer les tabulation par des espaces, utilisez une table de caractères; ce sera plus précis et rapide. Sinon, utilisez le remplacement de chaînes de caractères.

Comment s'effectue une conversion avec une table de caractères

Le convertisseur travaille avec le bloc sélectionné ou le document entier. Ce texte (sélection ou document entier) est traité caractère par caractère, et les caractères sont remplacés par leur équivalent à partir de la table de conversion.

Comment s'effectue un remplacement de mots

Le convertisseur travaille avec le bloc sélectionné ou le document entier. Toutes les chaînes de caractères définies dans la section [Conversion] sont appliquées au texte, de la même manière que la fonction Rechercher/Remplacer. Cela peut durer un certain temps si le texte est long.

Problèmes possibles lors de conversions de chaînes de caractères

Définition erronnée:

[Conversion]

B|A

A|B

Dans ce cas, d'abord tous les caractères "B" sont remplacés par "A", puis tous les "A" sont remplacés par "B". Résultat: rien ne change...

[Conversion]

hallo|hi

halloween|party

Ce fonctionnera mal également. D'abord, toutes les occurences de hallo sont remplacée par hi. Après le premier remplacement, le mot halloween devient hiween et la seconde opération ne remplacwe plus rien, car il n'y a plus de mots halloween.

Tout ce que vous avez à faire est de changer l'ordre de la conversion comme ceci:

[Conversion]

halloween|party

hallo|hi


Différences de texte

Différences de text e

Fonctionnement:

Ouvrez n'importe quel fichier - Fichier1

Il y a deux possibilités pour effectuer une différence de texte avec un second fichier:

1. A partir du menu "Outils | Différences de texte...", sélectionnez Comparer avec fichier... Une boîte de dialogue Ouvrir apparaît; sélectionnez le fichier - Fichier2

2. Menu contextuel: clic droit au-dessus de l'onglet d'un autre fichier ouvert. Sélectionnez Comparer avec fichier; ce fichier devient Fichier2.

Après la comparaison s'ouvre une nouvelle fenêtre avec les résultats de la comparaison. Cette fenêtre est partagée en deux avec blocage du défilement. Fichier1 est à gauche, Fichier2 à droite.

Les lignes correspondent aux parties de texte communes aux deux fichiers. Des lignes supplémentaires sont ajoutées si nécessaires pour refléter les différences. Les résultats sont en lecture seule.

Il y a trois sortes de différences:

textdiff

•

lignes avec contenu différent

•

lignes manquantes dans Fichier2

•

lignes manquantes dans Fichier1

Se déplacer parmi les résultats

•

Différence précédente: Shift+Ctrl+Up

•

Différence suivante: Shift+Ctrl+Down


Menu HTML

Menu - HTML

Prévisualiser page HTML F10

Afficher / masquer la prévisualisation d'une page HTML dans le navigateur interne. Si la fenêtre de prévisualisation reste ouverte en arrière-plan, elle sera rafraîchie à un intervale déterminé dans Options du programme | Editeur | Actualiser toutes les [s].

Prévisualiser via un serveur web Shift+Ctrl+F10

Prévisualise votre page au travers d'un serveur web. Le chemin au répertoire du serveur est défini dans Options du programme | Internet. Une partie du chemin du fichier est remplacé par http://server/.

Le chemin par défaut d'un serveur Apache est C:\Apache\HTDocs. Si vous appelez la prévisualisation HTML normale (F10), le fichier est affiché dans le navigateur internet

file://localhost/c:/apache/htdocs/soubor.htm. Si vous utilisez la prévisualisation via un serveur web, le fichier est affiché dans le navigateur interne http://localhost/soubor.htm.

htmlreformat Reformater le code HTML

Reformate le code HTML code pour améliorer la mise en page. Les scripts, commentaires et balises spéciales (pre, ...) ne sont pas modifiés.

htmlcompres Compresser le code HTML

Les codes HTML redondants tels que les espaces, sauts de lignes, ... sont supprimés. Des sauts de lignes sont insérés approximativement tous les 1000 caractères.

Le résultat est un code HTML plus compacte et difficile à lire, rendant la "copie" moins attractive.

tagupper Balises en majuscules

taglower Balises en minuscules

Modifie la casse des balises HTML (les balises en minuscules sont le standard en XHTML)

Reformater le CSS en structuré

Restructure le Cascaded Style Sheets pour améliorer la mise en page.

Reformater le CSS en ligne

Restructure le Cascaded Style Sheets pour améliorer la mise en page.

TopStyle

TopStyle (la version gratuite s'appelle TopStyleLite) est un grand éditeur CSS, intégré dans nombre d'éditeurs HTML connus, et également dans PSPad. Pour utiliser TopStyle, vous devez télécharger et installer le version gratuite. Ce que vous sélectionnez sera édité dans TopStyle. Après avoir pressé le bouton Done, le tout est réintroduit dans l'éditeur.

Conversion

html2txt Supprimer les balises HTML

Cet outil supprime les balises et affiche le contenu du texte dans un nouveau fichier.

Texte en HTML

Ajoute des balises HTML au texte pour le rendre affichable dans des navigateurs HTML.

Sélection en JavaScript

Le texte sélectionné est intégré dans la fonction JavaScript Document.Write().

Importer fichier RTF

Un document RTF simple RTF est converti en code HTML. Une fois fait, je vous conseille de lancer la fonctiong TiDy clean document, pour reformater et améliorer le code CSS.

Importer fichier CSV

Importe un fichier Comma Separated Value (valeurs séparées par des virgules), générable par des tableurs et des bases de données.

Contrôler le code HTML Ctrl+F10

vérifie uniquement le code HTML (sans le modifier). Les erreurs et avertissements sont affichés dans la fenêtre du LOG.

TiDy

Ces fonctions proviennent du fichier TidyCFG.INI. Chaque section de ce fichier correspond à une fonction dans le menu. Vous pouvez modifier, ajouter ou supprimer des sections.

Plus d'informations au chapitre consacré à .


HTML TiDy

HTML TiDy

Qu'est-ce que TiDy ?

TiDy est une librairie pour vérifier, formater et nettoyer le code HTML.

Cette librairie se trouve dans tous les bons éditeurs qui manipulent du code HTML.

TiDy est complètement intégré dans PSPad. Il suffit de placer le fichier TiDyCom.DLL dans le même répertoire que PSPad.EXE

Grâce au fichier de configuration TiDyCFG.INI, vous pouvez modifier les menus de TiDy dans PSPad; chaque section de ce fichier correspond à une fonction dans le menu de PSPad (créé dynamiquement).

Vous devez redémarrer PSPad après l'ajout ou la suppression de section(s) dans le fichier de configuration de TiDy. Vous pouvez trouver la syntaxe de TiDy dans le TiDy quick reference pages

Fonctions de TiDy dans PSPad ?

Contrôler le code HTML (Ctrl+F10)

vérifie et analyse le code HTML, et affiche les erreurs dans la fenêtre du LOG.

TiDy clean document

nettoie et corrige le code HTML, ce qui inclut le suppression de certains codes crées par des outils de Microsoft.

TiDy upgrade to CSS

actualise le code HTML avec du CSS.

TiDy convert to XML

convertit le document HTML en XML.

TiDy convert to XHTML

convertit le document HTML en XHTML.


Menu Options

Menu - Options

settings Options du programme... F4

Ouvre une boîte de dialogue dans laquelle vous pouvez personnaliser l'éditeur PSPad.

Options de la coloration syntaxique...

Ouvre une boîte de dialogue dans laquelle vous pouvez personnaliser les couleurs des environnements, ajouter des applications, paramétrer des compilateurs, ...Coloration

Coloration syntaxique personnalisée... F11

Ouvre une boîte de dans laquelle vous pouvez facilement définir votre propre coloration syntaxique.

editclips Editer fichier de clips

Affiche la liste des clips possibles. Le fichier de clips choisi s'ouvre pour pouvoir être éditer.

Raccourci-claviers des clips

Vous pouvez assigner à chaque fichier de clips un raccourci pour en accélérer l'accès. Il y a une liste des raccourcis existants pour le fichier de définition du clip actif (autorisé uniquement si des raccourcis existent).

Variables utilisateurs

Liste des variables statiques utilisables dans les clips. Vous pouvez utiliser des variables prédéfinies ou en ajouter - éditer - supprimer de nouvelles.

Options orthographiques... Ctrl+F7

Options pour la vé rification orthographique et la correction automatique.

Dictionnaire: sélectionnez le langage à vérifier

Montrer comme: manière de souligner les mots mal orthographiés: MS Word ou WordPerfect.

[ ] Ignorer mots d'un caractère

[ ] Ignorer mots avec nombres

Correction automatique

Expression: Remplacer par:

Note: Pour éditer une entrée, vous devez la sélectionner, la modifier dans la boîte de texte du bas, et ensuite presser Editer pour sauvegarder vos modifications.

Testez la correction automatique:

•

Entrez vos initiales, et vos nom complet.

•

Entrez teh, et the

•

Entrez fo, et for (i= ; i >= ; i++) { }

Ensuite tapez vos initiales, teh et fo, chacun suivi par un espace. La correction ou la substitution sont automatiques.


Options orthographiques

Options de la vérification orthographique

Vous pouvez trouver des détails sur la vérification orthographique ici.

Options orthographiques...

Dictionnaires:

Vous pouvez sélectionner un des dictionnaires installés. Vous devrez peut-être télécharger un dictionnaire à partir du site web.

Montrer comme:

Style du soulignement des mots mal orthographiés (MS word, Corell WordPerfect).

[ ] Ignorer mots d'un caractère

[ ] Ignorer mots avec nombres

Correction automatique

Comment fonctionne la correction automatique ?

La correction automatique travaille avec une liste de mots appairés; le mot situé sur le côté gauche de la liste sera remplacé par le mot ou la phrase situé sur le côté droit.

Vous écrivez dans l'éditeur un mot suivi par des délimiteurs (espace, saut de ligne, symbole, ...); si le mot est trouvé dans la liste, il sera remplacé par le mot (ou la phrase) de remplacement).

Comment et où puis-je l'utiliser ?

Si vous faites régulièrement les mêmes erreurs de frappe (lettres différentes, lettres manquantes, ...), PSPad peut corriger automatiquement ces erreurs: erruer ==> erreur; lse ==> les, etc...

L'autre cas permet d'augmenter de la vitesse d'écriture de code source. Si vous avez des fonctions aux noms longs comme des jour sans pain, par ex. IncludeTrailingBackSlash, tapez simplement itb et PSPad la "corrigera" en la remplaçant par son nom complet.

Où est stockée la liste ?

La liste de mots se trouve dans un fichier texte nommé AutoCorr.TXT dans le même répertoire que PSPad.EXE ou dans le répertoire de l'utilisateur, si l'environnement multi-utilisateur est activé. La structure de ce fichier est simple:

mot à remplacer|resultat


Menu Fenetre

Menu Fenętre

Menu - Fenêtre

projfilemain Définir comme fichier principal Ctrl+M

Un fichier défini comme "principal" sera toujours celui transmis à l'application externe ou au compilateur; si ce n'est pas le cas, c'est le fichier actif qui est envoyé. Définir un fichier principal permet d'améliorer la lecture des onglets des fichiers.

logwindow Afficher/masquer la fenêtre LOG Ctrl+L

Dans la fenêtre du LOG, vous pouvez examiner les résultats d'une compilation, d'une recherche de fichiers, etc...

Passer à l'editeur / LOG Alt+L

Vous pouvez commuter entre la fenêtre du LOG et celle de l'éditeur.

Actualisation automatique

La fenêtre est marquée lorsque l'actualisation automatique du document est activée (icône dans la barre de statuts et couleur différente dans le panneau des fichiers). Lorsque l'actualisation est activée, le fichier est automatiquement rouvert après un intervalle donné (Options du programme | Editeur | Actualiser toutes les [s]:). Le rafraîchissement ne s'effectue que si le document est actif. Lorsque vous cliquez sur l'onglet d'un autre fichier, vous n'êtes pas interrompus, et lorsque vous sélectionnez à nouveau le fichier actualisé automatiquement, le rafraîchissement reprend. Un message vous interroge: "Le fichier 'x a été modifié. Après la réouverture, les modifications seront perdues. Continuer?". Si vous vous répondez non, le fochier n'est pas rouvert et vos modifications ne sont pas perdues; mais vous serez interrogé à nouveau à la fin de l'intervalle.

Fenêtre suivante Ctrl+Tab

Fenêtre précédente Shift+Ctrl+Tab

Passe au fichier suivant ou précédent selon le panneau des fichiers.

Cascade

Mosaïque verticale

Mosaique horizontale

Arranger

Dispositions des fenêtres des fichiers ouverts.

(La liste de vos fichiers ouverts doit s'afficher ici)


Programme

Options du Programme - Général

Langue

Mettre à jour la langue de l'interface PSPad. Il n'est pas nécessaire de redémarrer PSPad. La langue sélectionnée doit exister dans le sous-répertoire .\Lang

Bouton des fichiers en haut

Place les onglets des fichiers en haut ou en bas

Masquer les boutons des fichiers

La case a trois états: ([] est une case grise sous Win9x)

[ ] - toujours visible

[] - visible s'il y a au moins 2 fichiers ouverts

[x] - toujours caché

Bouton des fichiers multilignes

Les onglets des fichiers seront sur plusieurs lignes ou sur une seule ligne

Masquer les extensions sur les boutons

Afficher ou masquer les extensions de fichiers dans les onglets

Style des boutons des fichiers

Style des onglets

La case a 3 états:

[ ] - onglets

[] - boutons plats

[x] - boutons

Astuce: Le style "bouton" permet de mieux voir si le fichier a été modifié.

Nouveau fichier ouvert au démarrage

Ce paramètre a 3 états:

[ ] - un dialogue permet de choisir le type de fichier ou de modèle

[] - le programme démarre sans aucun fichier ouvert

[x] - un nouveau fichier vide est créé

ESC pour quitter le programme

Pour quitter le programme après avoir pressé la touche ESC

Afficher l'annonce au démarrage

Affiche une image au démarrage de l'application

Nom complet du projet

Dans l'arbre du projet on affiche par défaut le nom du fichier. Après activation, le nom complet du fichier (avec le chemin) sera affiché.

Tri automatique des fichiers du projet

A l'ajout d'un fichier dans le projet, les fichiers du projet sont automatiquement triés

Tri alphabétique des modèles

Par défaut, les champs des modèles sont affiché dans l'ordre de création. Dans certains cas, il est intéressant de voir ces champs dans un autre ordre. Grâce à cette option, il est possible de donner les noms adéquats aux variables: %1edit%, %2edit%, ... Ceci provoque le tri des variables.

Ajouter Cr+Lf

Après avoir sauvé le fichier, une ligne blanche est ajoutée à la fin de celui-ci. On n'ajoute jamais plus d'une ligne. Utile pour les compilateurs grincheux qui nécessitent une ligne blanche en fin de fichier pour fonctionner.

Bit de tabulation en code UTF-8

Les fichiers en UNICODE ou UTF-8 débutent avec des octets spéciaux pour identifier le format. Pour certains programmes ces bits sont redondants (PHP, Java). Vous pouvez supprimer cette option.

Conversion ANSI tchèque <-> OEM

Pour avoir une conversion plutôt que la conversion système.

N'a d'intérêt que pour les Tchèques.

Mode R/O change l'attribut des fichiers

Si activé, la modification en mode R/O "lecture seulement" dans PSPad influence l'attribut système du fichier. Cela signifie que le fichier sera rendu "lisible seulement" pour le système et qu'il sera donc impossible de le modifier via un autre programme. Normalement un fichier R/O lu par PSPad est en lecture seule dans PSPad et l'attribut est inchangé.

Curseur à la fin du LOG

Emplacement du curseur après affichage du LOG

Commutation intelligente du fichier

Modifie l'ordre de commutation obtenu avec Ctrl+Tab et Shift+Ctrl+Tab. Si actif, l'ordre est modifié pour obtenir l'ordre choisi avec la souris. Si désactivé, Ctrl+Tab passera de l'un à l'autre.

Diviser les fenêtres horizontalement

Par défaut lors des mouvements synchronisés. Lorsqu'il est décoché, la division se fait verticalement.

Note: Lorsque la fenêtre est synchronisée, vous pouvez voir un maillon de chaîne dans la barre de statut. Cliquez dessus pour désynchroniser les fenêtres. Ou passer à nouveau par la commande pour l'annuler.

Imprimer la coloration syntaxique

Paramètre par défaut. Vous pouvez le modifier dans "Aperçu avant impression".


Editeur

Options du Programme - Editeur

Faire défiler jusqu'à l'EOL

Permet de se placer après la fin d'une ligne. Tout caractère tapé après avoir placé le curseur après la fin de la ligne sera précédé de blancs.

Supprimer les blancs en fin de ligne

Les blancs en fin de ligne seront supprimés. L'usage de cette option est impossible avec l'option "Coupure des lignes". Si activée, la coupure des lignes est désactivée.

Case à cocher à trois états:

décochée - pas de suppression

cochée - suppression en ligne

grisée - suppression au moment de la sauvegarde

Alt active le mode colonnes

Si coché, vous pouvez changer rapidement de mode de sélection de texte. Sélection avec la souris - sélection des lignes, Alt+souris - sélection des colonnes.

Click droit ne déplace pas le curseur

Lors d'un clic droit, le curseur se place à l'endroit cliqué. Ceci peut être désactivé avec cette option.

Indentation automatique

En pressant Enter, le curseur est placé où la ligne précédente commence, pas au début de la ligne. Donc, si la ligne précédente avait deux tabulations, la nouvelle ligne aura deux tabulations. Ceci rend plus facile l'alignement du code.

Tabulation réelle

Choix entre le caractère tabulation (09h) ou le nombre de blancs (20h) nécessaires. La taille de la tabulation déterminera le nombre de blancs qui apparaissent dans l'éditeur.

Tabulation intelligente

Si activé, après la pression de TAB, le curseur suivra les mots de la ligne précédente. Ceci permet de créer facilement des colonnes alignées de texte. La zone est remplie de tab ou de blancs. Vous pouvez activer cette option le temps nécessaire pour créer vos colonnes et puis le désactiver, l'espacement restera. Normalement, cette option sera désactivée pour taper du code.

Touche Home étendue

Par défaut, la touche HOME déplace le curseur au début de la ligne. En mode étendu, la première pression de HOME place le curseur au début du texte (avant la première lettre du premier mot) et la seconde pression place le curseur au début de la ligne.

Couper et Copier étendu

Si aucun texte n'est sélectionné, Couper et Copier prennent la ligne actuelle.

Justifier à la marge de droite

Lorsque la coupure des lignes est en marche, le test est coupé à la marge de droite pas à la taille de la fenêtre. Si elle est activé, vous pouvez à tout moment déplacer cette marge en cliquant dans la règle. Cette justification ne modifie pas la longueur des lignes. Lorsque cette option n'est pas activée, la justification s'aligne avec la taille de la fenêtre.

Parenthèses en surlignage

Les parenthèses correspondantes sont mises en évidence, si le curseur est proche d'une parenthèse. La couleur peut être modifiée dans "Option du programme | Couleurs | Parenthèses".

Trouver tous les mots à partir du curseur

Pour chercher l'occurrence suivante ou précédente du mot courant (Shift+Ctrl+Up/Down) se fera en mode "Mot entier seulement". Lorsque cette option n'est pas activée, vous pouvez sélectionner la partie de mot et presser Shift+Ctrl+Down pour trouver l'occurrence suivante de la partie recherchée. Si aucun texte n'est sélectionné, le mot sur lequel le curseur est placé est recherché, peu importe la configuration. Le Shift+Ctrl+Down suivant trouvera l'occurrence suivante.

Fermeture des caractères ... ( { [ < " '

A l'écriture d'un caractère ouvrant, le programme écrira automatiquement le caractère fermant correspondant. Ne fonctionne pas pendant l'enregistrement des macros !

Les parenthèses sont complétées lorsque à droite de la parenthèse il n'y a pas de mot (un caractère). Les guillemets ne sont pas complétés si un caractère alphanumérique est trouvé.

Exemple où il n'y a pas de fermeture automatique:

(bonjour

"monde

"père"

Si la parenthèse est écrite après le mot bonjour, aucune parenthèse fermante n'est écrite parcequ'elle ne touche aucune lettre. Quoi qu'il en soit, si vous écrivez '(' ou n'importe quel autre parenthèse ouvrante qui ne touche pas une autre lettre, une parenthèse fermante est créée et le curseur est placé entre les deux.

Valeur de la tabulation

Donne une valeur à la tabulation par défaut. La largeur d'une tabulation individuelle peut être réglée dans Options de la coloration synthaxique. la valeur par défaut est 8 dans Notepad. La valeur 4 est commune pour écrire du code.

Enregistrer toutes les [min]

Si activé (valeur <> 0) PSPad sauve automatiquement les fichier modifiés.

Actualiser toutes les [s]

Rafraîchissement pour le navigateur HTML ainsi que pour les fichiers indiqués dans menu fenê tre.

Longueur de ligne max.

Pour mettre à jour la longueur maximale des lignes. La valeur par défaut est 1024 caractères. Ceci est rarement utilisé et devrait être supprimé dans les versions futures.

Justification après la colonne [caractères]

Position de la marge de droite. Vous pouvez modifier cette valeur en cliquant simplement sur la règle. Ceci provoquera un réajustement de la justification si elle est activée. Cette option n'est utile que si la justification à la marge de droite et la justification sont activées.

Nombre max. d'annulations

Nombre maximum d'annulations. Dans certains cas, la valeur par défaut (1024) peut ne pas être suffisante (Remplacement dans des longs fichiers...)

Résultat recherche

Spécifies la position du curseur après une recherche, un remplacement, aller à la ligne, ... Par défaut, la position ne sera pas modifiée.

Type nouveau fichier

On peut indiquer le type des nouveaux documents si aucun fichier n'est ouvert. Sinon le type est le type du document actif. Il est possible de modifier le type du nouveau fichier en changeant le coloration syntaxique: menu "Affichage | Changer la coloration syntaxique".

Page de code par défaut des fichiers ouverts

Sans objet pour les non-tchèques ou slovaques.


Fichiers et répertoires

Options du programme - Fichiers et répertoires

Sauver la liste des fichiers récents

Active ou désactive la sauvegarde des fichiers récents. Si désactivé, L'historique des fichiers récents n'est pas mémorisé à la sortie du programme.

Sauver la session

Mémorise les fichiers ouverts et les restaure à la prochaine ouverture.

Case à 3 états:

[ ] - les fichiers ouverts ne sont pas ouverts à la prochaine exécution

[] - restaure tous les fichiers ouverts, même ceux ouverts par TotalCommander.

[x] - ne restaure que les fichiers ouverts par PSPad. Ignore les fichiers ouverts d'un autre programme que PSPad, comme via l'explorateur de Windows, ou le clic droit Envoyer vers..., ou en lâchant un fichier sur l'icône PSPad.

Le bénéfice de cette option est qu'à l'ouverture des fichiers avec PSPad comme remplaçant de Notepad, vous ne perdez pas votre "bureau" de fichiers ouverts lorsque vous travaillez dans un projet ou un groupe de fichiers.

Note: [] signifie la case grisée de Win9x.

Mémoriser l'état des fichiers

Le fichier PSCache.BIN contiendra l'état de tous les fichiers ouverts. La prochaine fois que vous ouvrirez ce fichier, vous le trouverez dans le même état que lorsque vous l'aviez fermé - position du curseur, favoris, mise en couleur, état de lecture seule...

Mémoriser le dernier filtre

Mémorise le dernier filtre de fichier que vous avez utilisé dans le dialogue d'ouverture de fichier. Lorsque cette option est activée, on suppose que le prochain fichier que vous allez ouvrir sera du même type que le précedent.

Dernier répertoire mémorisé

En sortant du programme, mémorise le dernier répertoire utilisé dans le dialogue d'ouverture. Les options du projet ont priorité sur cette option !

Répertoire actif

Ouvre le dialogue d'ouverture dans le répertoire du document actif. Pratique si vous travaillez avec des fichiers provenant de plusieurs répertoires.

Répertoire spécifié

Indique le répertoire par défaut pour le dialogue d'ouverture. Les options du projet ont priorité sur cette option !

Copie des sauvegardes des fichiers

Si coché, le programme crée une sauvegarde en ajoutant un tilde dans l'extension. Si votre fichier se nomme MyFile.TXT, le fichier de sauvegarde sera MyFile.~TXT. Le système de sauvegarde fonctionne différemment si on utilise un répertoire de sauvegarde. Voir plus loin.

Répertoire pour les sauvegardes:

Si coché, le nom du fichier n'est pas modifié, mais il est copié dans le répertoire indiqué en utilisant son chemin complet.

Exemple:

fichier original: C:\Projects\Delphi\PSPad\PSPad.DPR

répertoire de sauvegarde: D:\Backups

sauvegardé sous: D:\Backups\Projects\Delphi\PSPad\PSPad.DPR


Couleurs

Options du programme - Couleur

Changer les couleurs

Texte

Fond

La modification de cette couleur a une influence sur tous les surlignages ayant la même couleur de police ou de fond. Donc soyez prudents et testez.

Fond sélectionné

Texte sélectionné

Couleur de la police et du fond des blocs sélectionnés.

Ligne courante

Couleur du fond de la ligne courante. Je préfère un beige clair, juste assez foncé pour qu'on le remarque.

Marge de droite

Couleur de la marge de droite. Si vous voulez la cacher, mettez la même couleur que le fond.

N° de ligne

Fond de la numérotation des lignes.

Orthographe

Couleur de soulignages

Analyseur LOG

Si vous remplissez l'analyseur LOG dans , après un clic dans la fenêtre de LOG, ceci sera la couleur de fond de la ligne correspondante dans l'éditeur.

Parenthèses

Couleur de la mise en évidence des parenthèses correspondantes

Surlignage multiple

Texte

Fond

Sera utilisé pour le surlignage des sections début et fin dans le surlignage multiple (scripts, CSS, ...)

Surlignage différences

Vous pouvez changer ici la couleur de fond des différences de textes qui ont été :

Ajoutés

Effacés

Modifiés

Comparer fichiers textes

Ignorer la casse

La casse des caractères est ignorée pendant la comparaison

Ignorer le surlignage

Le style de police (gras & italique) sera gardé dans la fenêtre résultat de la comparaison, mais la coloration syntaxique ne le sera pas.

Ignorer les espaces blancs

Les lignes avec un nombre différent de blancs ou de tabulations ne seront pas marquées comme modifiées.


Systeme

Systčme

Options du programme - Système

Ouvrir les fichiers TXT

Modifie l'association des fichiers .TXT pour que ce soit PSPad qui les ouvre. Lorsque cette option est désactivée, l'association retourne à Notepad.

Intégrer au bouton droit de la souris

Vous pouvez ouvrir n'importe quel fichier avec PSPad ou PSPad HEX en cliquant droit et en sélectionnant l'entrée correspondante dans le menu.

Visualisateur du code source de IE

Editeur HTML de IE

Met PSPad comme éditeur par défaut de MS Internet Explorer.

Visualisateur du code source de OPERA

Dans le navigateur vous pouvez voir le code source de la page HTML. Si activé, ce code source sera ouvert en PSPad.

Conditions: MS Internet Explorer 5 ou plus, Opera 5.1 ou plus

Si OPERA tourne, cette option est désactivée !

Editeur pour Total (Windows) Commander

Mettre PSPad comme éditeur par défaut dans Total Commander. Activable uniquement si Total Commander ne tourne pas ! Il faut avoir installé TotalCommander (shareware).

Lien sur le bureau

Lien dans le menu Démarrer

Lien dans le menu Envoyer vers

Ajoute ou supprime le lien avec l'éditeur PSPad

Environnement multi-utilisateurs

PSPad peut travailler dans une environnement multi-utilisateurs comme Windows NT (Win2k, WinXP, ...). Dans ces environnements, un utilisateur normal ne peut pas créer de fichier dans le répertoire des programmes. Si cette option est activée, la configuration et les autres fichiers dépendant de l'utilisateur sont sauvés dans le répertoire de profil utilisateur. Cette option peut modifier les utilisateurs ayant suffisamment de droits (power user, superviseur,...)

Réduire dans la barre des icônes systèmes

A la sortie de programme, celui-ci est minimisé dans les icônes systèmes. Le démarrage est alors immédiat. Vous pouvez contrôler à partir de l'icône. Ce comportement sera modifié dans la prochaine version.

Une seule instance de PSPad seulement

Permet d'autoriser une seule ou plusieurs instance de PSPad. Si activé, tout nouveau fichier envoyé à PSPad sera ouvert dans l'instance ouverte de PSPad.

Types de fichiers enregistrés

Vous pouvez enregistrer ici les types de fichiers que PSPad doit ouvrir (via le double-clic). Ajouter .pl chargera les scripts Perl dans PSPad lorsqu'on clique deux fois dessus. Ceci donnera aux scripts Perl l'icône de PSPad. Lorsque l'on efface un fichier enregistré, il retourne à l'association qu'il y avait avant.

Mais: L'icône de PSPad reste associée.


HTML

Options du programme - HTML

PSPad permet de colorer les scripts (VBScript, JavaScript, PHP, TCL/Tk) or CSS, XML, ... dans le code HTML.

Ceci est réalisé par une coloration spéciale, appelée Surlignage multiple HTML

Autoriser le surlignage multiple du HTML

Active ou désactive le surlignage multiple

Section colorée comme surlignage

Désactivé, les début et fin de section sont colorés avec les couleurs définies dans l'onglet couleurs. Activé, la couleur de la section sera celle du symbole dans le surlignage. En HTML, c'est du noir.

Utiliser <%...%> pour

Script,

Script, dans des tags <%...%> est utilisé pour les pages ASP. Vous pouvez choisir le surlignage pour les pages ASP (normalement VBScript ou ASP)

Ouvrir en surlignage multiple

Choisir les types de fichiers pour ouverture directe en surlignage multiple HTML plutôt que le simple surlignage correspondant: PHP, JavaScript, VBScript, CSS, ...

Outils

Longueur d'une ligne compressée: 1024 par défaut.


Internet

Options du programme - Internet

Proxy server

[ ] Utiliser le serveur proxy

Indique le serveur proxy pour se connecté à Internet

Adresse

Adresse IP du serveur proxy

Port

Port du serveur Proxy. Pour MS proxy normalement 8080, Winroute, WinProxy utilise 3128, 80 est aussi une valeur courante.

Utilisateur

Mot de passe

Si nécessaire.

E-Mail

Choix de la messagerie que vous utiliserez dans l'éditeur PSPad. Indépendant de la messagerie par défaut du système.

Apache

Utilisé pour prévisualiser directement sur un serveur web Iocal.

HT docs

Répertoire par défaut des documents du serveur web local (la valeur c:\apache\htdocs est celle du Serveur Web Apache).

Serveur

Nom de l'ordinateur sur lequel tourne le serveur web. S'il s'agit de votre ordinateur indiquez localhost


Raccourcis-clavier

Options du Programme - Raccourcis-clavier

PSPad permet de redéfinir les raccourcis-clavier.

Les raccourcis-clavier sont stockés dans le fichier texte KeyMap.INI, situé dans le même répertoire que PSPad.exe ou dans le répertoire de profil utilisateur, si l'environnement multi-utilisateurs est activé. Vous pouvez aussi modifier ce fichier manuellement.

Comment l'utiliser :

•

un double-clic (ou flèche droite) dans le menu Fichier ou la catégorie désirée

•

un double-clic (ou Enter) sur la ligne dans l'arbre avec l'action

•

pressez la nouvelle combinaison de touches dans la fenêtre de dialogue

•

pressez Esc ou Abandonner pour annuler la modification

•

pressez OK pour attribuer le nouveau raccourci

•

les modifications sont sauvées après avoir pressé le bouton OK dans le dialogue principal !

•

pour annuler toutes les modifications faites, pressez Abandonner dans le dialogue principal

Si le raccourci est attribué à une autre action, lorsque vous pressez OK, un message de confirmation apparaît: "La touche de raccourci %s est assignée à "%s". Ecraser ?" Pressez Non ou ESC pour abandonner l'écriture. Apres confirmation, l'ancienne attribution est effacée.

Autres boutons :

Tout effacer

Efface tous les raccourcis-clavier

Annuler modifications

Toutes les modifications sont annulées et remplacées par les valeurs précédentes

Défaut

Efface le fichier Keymap.INI

Au redémarrage, les raccourcis-clavier par défaut sont restaurés.


Coloration syntaxique

Options de la coloration syntaxique

PSPad utilise les options de colorations définies par l'utilisateur. Dans menu Outils / Options de coloration syntaxique, vous avez plusieurs onglets pour mettre à jour les couleurs, les polices, les filtres, les applications externes et le compilateur, et même une analyseur de LOG.

Palette de couleurs complexes

Vous pouvez lire et sauver les palettes de couleurs et modifier facilement l'aspect de PSPad.

•

lire - choisir le nom de palettes de couleurs presser Charger

•

sauver - écrire le nom de palette et presser le bouton Sauver

Surlignage multiple

Ce surlignage est utilisé pour la coloration complexe de code dans du code HTML, comme PHP ou JavaScript.

Le surlignage de base provient du surlignage HTML.

Détection des parties de code

•

<script> </script> JavaScript

•

<script...javascript...> </script> JavaScript

•

<% %> VisualBasic script

•

<script...vbscript...> </script> VisualBasic Script

•

<script...tcl...> </script> TCL/TK

•

<? ?> PHP

•

<script...php...> </script> PHP

•

<style...> </style> CSS


Couleur

Options de la coloration syntaxique- Couleur

Le moyen le plus simple de modifier tout le schéma de couleurs de PSPad

1. les couleurs de base

Mettre les couleurs de base dans Options | Options du programme | Couleurs. Ces couleurs s'appliquent à tous les surlignages selon les règles suivantes:

•

si la couleur de la police précédente est identique aux attributs de couleur précedents, les attributs de couleurs est remplacé par la nouvelle couleur

•

si la couleur de fond précédente est identique aux attributs de couleur, les attributs de fond sont remplacés par la nouvelle couleur

•

si la couleur de la police est identique à la nouvelle couleur du fond, la couleur de la police est remplacée pa la nouvelle couleur de police

2. réglage de précision des couleurs

Dans le menu Options | Options de la coloration syntaxique | Couleurs, il et possible de régler les attibuts de couleur et de police de la coloration syntaxique

Pour modifier la couleur et le style des attributs dans tous les surlignages, cliquez sur le nom de l'attibut et modifiez le.

3. sauvegarde du nouveau schéma de couleur de PSPad

Dans le menu Options | Options de la coloration syntaxique | Couleurs, écrivez le nom du nouveau schéma de couleur et pressez Sauver.


Filtres

Options de la coloration syntaxique - Filtres

Nom du filtre

Nom qui apparaît dans la liste de filtres des dialogues d'ouverture et de fermeture

Fichier d'aide (Aide pour l'environnement)

Si vous le remplissez, Alt+F1 vous permet d'obtenir de l'aide pour le mot surlequel votre curseur est placé (par exemple si voue éditer du HTML et que le curseur est sur le mot body, Alt+F1 le fichier d'aide est ouvert et le mot body apparaîtra). En multi-surlignage, l'aide appelée dépend de la partie de code dans laquelle vous vous trouvez. Si vous êtes dans une partie PHP, l'aide PHP est ouverte.

Masques de fichiers

Ceci vous permet de choisir les types de fichiers avec lequels ce surlignage sera actif. Pour les filtres de documents HTML, vous trouverez les masques *.htm et *.html. Ceci signifie que tous les fichiers que vous ouvrez en PSPad avec ces extensions utiliseront cette coloration.

Surlignages personnalisés

Vous pouvez définir vos propres colorations. Si vous utilisez une des colorations en gras (qui apparaissent en gras dans la liste), la liste des définitions utilisateur est activée. Vous pouvez alors cliquer sur les objets de la liste, et leur attribuer une définition.

Dans ce cas, le nom du filtre et des masques est pris de la définition de surlignage personnalisé. Voir Coloration syntaxique personnalisé e.

Largeur Tab

Vous pouvez définir ici la largeur des tabulations. Si la valeur esr 0, la largeur de tabulation sera celle de Options du programme / Editeur.

Car. étendus en retrait

Certains langages (PHP, C,...) utilisent une indentation particulière:

xxx {

xxx {

xxx

xxx

}

}

Vous pouvez définir ici les caractères pour cette indentation.

Conditions:

•

le caractère doit être le dernier de la ligne

•

dans Option de programme / Editeur, il faut cocher "indentation automatique"


Applications externes

Options de la coloration syntaxique - Applications Externes

Pour chaque coloration vous pouvez définir jusqu'à 5 applications externes. Le programme lancé par défaut est celui placé en première position (F9).

Liste d'applications

Pour ajouter, supprimer, modifier, utilisez les boutons sous la liste. Il est possible de modifier l'ordre avec les flèches.

Nom:

Nom affiché dans le menu.

Application:

Nom du programme avec le chemin et les paramètres. On peut insérer des variables à partir du menu contextuel (clic droit).

Fichier LOG:

Si le LOG est spécifié, le programme externe est exécuté. Après cette exécution, le fichier LOG est affiché. Tant que le programme n'est pas terminé, il n'est plus possible de travailler avec PSPad.

Si le LOG n'est pas spécifié, il n'est pas nécessaire d'attendre la fin de l'application externe.

On peut insérer des variables à partir du menu contextuel (clic droit).

Variables:

Pour les noms de fichier, chemin, ... vous pouvez uiliser les variables prédéfinies comme %file%.

Voir les détails dans Options du compilateur. On peut insérer des variables à partir du menu contextuel (clic droit).

Ajouter

Actif s'il y a un nom de programme et un chemin. L'objet est ajouté à la liste.

Supprimer

Actif si un objet de la liste est sélectionné. L'objet est supprimé.

Remplacer

Remplace la ligne sélectionnée par les champs édités

Exemples

Voir Exemples de compilateur

Format de commande:

menu_name,"external_application" parameters §"LOG_file"

Exemple HTML:

Internet Explorer,"c:\program files\Internet Explorer\IExplore.EXE" "%File"

Opera,"c:\program files\opera\opera.exe" "%File"


Options du compilateur

Options du compilateur

Dans certains cas, au lieu d'ouvrir le fichier dans une application, il est nécessaire d'exécuter une appplication externe et d'attendre la fin de cette application pour afficher des résultats (LOG). Voici la raison d'être de l'option compilateur de PSPad.

Les options du compileur se trouvent dans Options | Options de la coloration syntaxique | Compilateur.

Vous pouvez l'exécuter à partir de la barre d'outils [image] ou utiliser le raccourci Ctrl+F9.

Quel est le paramètre envoyé au compilateur ?

Par ordre de priorité :

•

Le fichier principal du projet

•

Le fichier principal, s'il n'y a pas de projet

•

Le document actif

Compilateur

Chemin complet et nom du programme (sans ").

Paramètres

Pour indiquer les paramètres du compilateur, nom des fichiers, ...

La liste des variables utilisables se trouve ci-dessous. On peut aussi utiliser le menu conterxtuel pour insérer des paramètres.

Fichier LOG

On peut indiquer ici le fichier contenant les résultats de la compilation. PSPad affichera ce fichier dans la fenêtre LOG en bas de l'éditeur.

Lancer après la compilation

Vous pouvez indiquer un programme à exécuter après la compilation.

Enregistrer tous les fichiers avant la compilation

Si coché, tous les fichiers modifiés seront sauvés avant la compilation.

Fenêtre de saisie du programme

Capture la fenêtre d'exécution du programme.

Programme d'analyse de LOG

Si activé, en cliquant dans la fenêtre de LOG, le code source sera ouvert et le curseur sa positionnnera sur la ligne indiquée dans le LOG.

Variables et masques:

* n'importe quel texte

%F nom de fichier

%L numéro de ligne

%C numéro de colonne

Exemple:

LOG:

[Error] uHLSett.pas(346): Undeclared identifier: 'ik'

[Fatal Error] PSPad.dpr(58): Could not compile used unit 'uHLSett.pas'

Analyseur:

*] %F(%L)

Explication de l'exemple:

Comme le début de ligne n'est pas explicite, il faut trouver les parties communes: ]space et au début *.

Puis le nom de fichier %F , ( et le numéro de ligne %L. La fermeture de parenthèse n'est pas obligatoire mais est plus jolie :-)

Exemples d'options de compilateur

Voir chapitre Exemples de compilateur.

#RunMacros

Variables:

pour le nom de fichier, le nom du fichier résultat, ... PSPad utilise les variables.

%File% nom du fichier (chemin compris)

%Dir% chemin

%Name% nom du fichier (sans chemin, ni extension)

%Ext% extension

%URLFile% nom du fichier avec chemin (voir détails ci-dessous)

%HttpFile% nom du fichier avec chemin (voir détails ci-dessous)

%PHPFile% nom du fichier avec chemin (voir détails ci-dessous)

Exemple:

Fichier utilisé: c:\Documents\HTML\Test.HTM

Contenu des variables:

%File% c:\Documents\HTML\Test.HTM

%Dir% c:\Documents\HTML\

%Name% Test

%Ext% .HTM

%URLFile% file://localhost/c:/Documents/HTML/Test.HTM

%HttpFile% http://localhost/c:/Documents/HTML/Test.HTM

%PHPFile% http://localhost/Test.HTM

(pokud je v nastavení programu / systém nastavena cesta HT docs na: c:\Dokuments\HTML)


Exemples de compilateur

Exemples de compilateur

Pour des exemples de compilateur voir Options du compilateur.

Texte en vert à remplacer par les valeurs réelles.

LaTeX

compilateur: drive:\path\cslatex.bat

paramètres : %Name%.tex

fichier LOG: %Name%.log

après compilation: windvi %Name%.dvi

Contenu de CSLatex.BAT (la distribution TeXLive est supportée):

@echo off

kpsewhich cslatex.fmt > nul

if errorlevel 1 goto genformat

if errorlevel 0 goto okay

:genformat

fmtutil --byfmt cslatex

:okay

latex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

LaTeX to PDF

compilateur: drive:\path\pdfcslatex.bat

paramètres : %Name%.tex

fichier LOG: %Name%.log

après compilation: path_to_Acrobat_Reader\AcroRd32 %Name%.pdf

Contenu de PDFLatex.BAT (la distribution TeXLive est supportée):

@echo off

kpsewhich pdfcslatex.fmt > nul

if errorlevel 1 goto genformat

if errorlevel 0 goto okay

:genformat

fmtutil --byfmt pdfcslatex

:okay

pdftex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

MS-SQL

compilateur: drive:\path\osql

paramètres : -Sserver_name -Ulogin_name -Ppassword -ddatabase_name -n -w1000 -i"%File%" -o"%Dir%%Name%.log"

fichier LOG: %Dir%%Name%.log

ORACLE

compilateur: drive:\path\PLUS80.EXE

paramètres : -s jmeno/heslo@db @drive:\path\RunSQL "%Dir%%Name%.Log" "%File%"

fichier LOG: %Dir%%Name%.Log

Contenu de RunSQL.SQL:

spool &1

set term off

@&2

spool off

exit

Note:

N'oubliez pas de terminer la commande par un ";" !

Assembleur x86 avec TurboAssembler

compilateur: drive:\path\tasm.bat

paramètres : drive:\path\tasm\ %Dir% %Name%

après compilation: %Dir%%Name%

Contenu de Tasm.BAT

@ECHO OFF

REM %1 = filepath

REM %2 = FileName sans extension

REM Il est mieux d'ajouter le chemin vers tasm.exe et tlink.exe dans la variable système %PATH%

CD %1

IF EXIST %2.exe DEL %2.exe

tasm %2.asm

tlink %2.obj

DEL %2.obj

DEL %2.map

Assembleur 8051

compilateur: drive:\path\cass51.bat

paramètres : drive:\path1\asm51 %Dir% %Name% %Ext%

Contenu de cass51.bat

@Echo Off

cd %1

copy %2%3%4 %1%3%4

cass51 %3%4

del %3%4

copy %3.* %2%3.*

del %3.*

Kix32 - commande externe

run : drive:\path\Kix32.exe "%File%"

debug: drive:\path\Kix32.exe "%File%" /d

Turbo Pascal

compilateur: drive:\path\tpc.bat

paramètres : %Dir% %Name%

après compilation: %Dir%%Name%

Contenu de tpc.bat

@ECHO OFF

CD %1

IF EXIST %2.exe DEL %2.exe

tpc %2 -uD:\Programy\PASCAL\tpu -m

TiDy - vérification HTML

analyseur LOG: line %L

XMLlint - vérification de documents XML

Il faut les exécutables du package LibXML (Licence GPL) de la page LibXML.

Téléchargez le package contenant les utilitaires, vous avez besoin de XMLlint.EXE

compilateur: drive:\path\xmllint.exe

paramètres : --valid %File%

[X] catch compilateur output

LOG parser: *:F:%L

Java SDK

compilateur: drive:\path\javac.exe

paramètres : %File%

fichier LOG: %Name%.LOG

après compilation: cmd /k Java %Name%

[X] fenêtre de saisie du programme

analyseur LOG: *:%L

PHP

compilateur: drive:\path\php.exe

paramètres : %File%

[X] fenêtre de saisie du programme

analyseur LOG: *on line <b>%L

Perl

compilateur: drive:\path\perl.exe

paramètres : %File%

[X] fenêtre de saisie du programme

analyseur LOG: *on line <b>%L


Coloration syntaxique personnalisée

 Top Previous

Coloration syntaxique personnalisée

Nom

Nom de la coloration syntaxique.

Types de fichiers

Liste des extensions séparées par des virgules (.bat, .log, ...).

Style de commentaires

Caractéristique des styles de commentaires utilisés dans ce language. Vous pouvez en combiner plusieurs.

(* *) - (* commentaires *)

{} - { commentaires }

// - // commentaires jusqu'à la fin de la ligne

/* */ - /* commentaires */

; - ; commentaires jusqu'à la fin de la ligne

* && - * (premier caractère de la ligne) ou caractères && commentaires jusqu'à la fin de la ligne

# - # commentaires jusqu'à la fin de la ligne

@ - @ commentaires jusqu'à la fin de la ligne

/ - / du début de la ligne ou après le caractère ";" commentaires jusqu'à la fin de la ligne

REM - REM en début de ligne commentaires jusqu'à la fin de la ligne

! - ! commentaires jusqu'à la fin de la ligne

% - % commentaires jusqu'à la fin de la ligne

' - ' commentaires jusqu'à la fin de la ligne

-- - -- commentaires jusqu'à la fin de la ligne

" - " commentaires jusqu'à la fin de la ligne ou jusqu'à la prochaine occurence des caractères " ou ;

Cotation chaînes

Choisir les identificateurs de chaîne de caractères: " ou '

Préprocesseurs

Contient des parties spéciales de code, habituellement des directives pour le compilateur, souvent précédées par un symbole #

HTML

indique s'il s'agit d'une coloration pour HTML. Avec cette option il est possible d'utiliser les outils HTML.

Mots clés

Liste des mots-clés de ce type de fichier

Conditions:

•

chaque mot doit être sur une ligne

•

en majuscule (automatique à la sauvegarde)

•

par ordre alphabétique (trié lors de la sauvegarde)

Mots réservés

Comme pour les mots-clés. Il est possible de mettre des couleurs différentes pour les Mots-clés et les Mots réservés

Charger

Charge une définition du sous-répertoire .\Syntax

Sauver

Sauve une définition dans le sous-répertoire .\Syntax

Comment créer une Coloration syntaxique personnalisée

Définition de la coloration

Remplir le nom de la coloration

Remplir les extensions

Choisir le type de commentaires

Choisir le style de chaîne de caractères

Remplir la listes des mots-clés, (et la liste des mots réservés)

Sauver la coloration

Comment indiquer à PSPad d'utiliser la nouvelle coloration

Menu Options / Options de coloration

Aller dans l'onglet "Filtres"

A gauche dans la liste, choisir une des 3 colorations en gras

A droite dans la liste des coloration personnalisées. Sélectionnez celle que vous avez créée et cliquez dessus.

C'est tout.

Option de coloration

Si vous devez modifier la police et les couleurs des attributs de coloration, allez dans l'onglet "Couleurs" et indiquez les polices et couleurs désirées. Si le document actif correspond à la coloration que vous modifiez, vous verrez immédiatement les effets.

Définition de la description de la structure du fichier:

;les commentaires sont ignorés

;le gras dans les crochets c'est le nom de section

[Settings]

;Nom de fichier

Name=OtherCad

;Liste des extensions de fichiers

FileType=*.prg,*.bpk

;commentaires (optionnel) 1 = Oui, 0 = Non

ANSIComment=0

PasComment=0

CComment=0

SpecComment=1

BasComment=0

SingleQuote=0

Preprocessors=0

....

;Liste des mots-clés et réservés

; Avec un signe = à la fin de chaque mot

[KeyWords]

ABS=

ACOS=

ATN=

BOOLEAN=

[ReservedWords]

BOOLEAN=

INTEGER=

STRING=